GNU bug report logs - #38149
[WIP] gnu: Add qgis.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Wiktor Żelazny <wz@HIDDEN>; dated Sat, 9 Nov 2019 11:28:01 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 38149 <at> debbugs.gnu.org:


Received: (at 38149) by debbugs.gnu.org; 27 Dec 2019 02:07:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 26 21:07:08 2019
Received: from localhost ([127.0.0.1]:56355 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ikf1w-0000lA-36
	for submit <at> debbugs.gnu.org; Thu, 26 Dec 2019 21:07:08 -0500
Received: from mugam.systemreboot.net ([139.59.75.54]:56822)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <arunisaac@HIDDEN>) id 1ikf1s-0000ku-OX
 for 38149 <at> debbugs.gnu.org; Thu, 26 Dec 2019 21:07:06 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed;
 d=systemreboot.net; s=default; h=Content-Type:MIME-Version:Message-ID:Date:
 References:In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:
 Content-Transfer-Encoding:Content-ID:Content-Description:Resent-Date:
 Resent-From:Resent-Sender:Resent-To:Resent-Cc:Resent-Message-ID:List-Id:
 List-Help:List-Unsubscribe:List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=Bnwb+7gyWdUXnsSOWMbympvyjLU64J6H6u+FQQQWwTs=; b=iNjpl4sZo83Df6AiscIC+fbka
 PZmSulsnS1gMKsn+eCLTOl7K2GVV177qAxbjoUfkSTGGDwYLNDyA3LUjKGTZRtGTrSSYQa+vEWSLi
 XeqK79fpNV1eII2Z/v6QU6BHVeuCspzwPC11+bAL2ljYKKAVuwvkadjfv6aWURfwMY/6E=;
Received: from [192.168.2.1] (helo=steel)
 by systemreboot.net with esmtpsa (TLSv1.3:TLS_AES_256_GCM_SHA384:256)
 (Exim 4.92.3) (envelope-from <arunisaac@HIDDEN>)
 id 1ikf1n-001M95-0N; Fri, 27 Dec 2019 07:36:59 +0530
From: Arun Isaac <arunisaac@HIDDEN>
To: Marius Bakke <mbakke@HIDDEN>
Subject: Re: [bug#38149] [WIP] gnu: Add qgis.
In-Reply-To: <87r20rjfz1.fsf@HIDDEN>
References: <20191109112702.14723-1-wz@HIDDEN>
 <cu7k17dfgkw.fsf@HIDDEN> <cu7k17bc94l.fsf@HIDDEN>
 <20191218100751.6edc13ce@alma-ubu> <cu78sn7ym5i.fsf@HIDDEN>
 <20191223075502.3d9cd692@HIDDEN> <cu7y2uzi4u8.fsf@HIDDEN>
 <87r20rjfz1.fsf@HIDDEN>
Date: Fri, 27 Dec 2019 07:36:57 +0530
Message-ID: <cu7pngaikse.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38149
Cc: =?utf-8?Q?Bj=C3=B6rn_H?= =?utf-8?Q?=C3=B6fling?=
 <bjoern.hoefling@HIDDEN>,
 Danny Milosavljevic <dannym@HIDDEN>, 38149 <at> debbugs.gnu.org,
 Wiktor =?utf-8?Q?=C5=BBelazny?= <wz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain


> Python 2 has 6682 dependent packages, so this change should go to the
> 'core-updates' branch according to the "Submitting Patches" section of
> the manual.

Ok, makes sense.

> Please make sure Python 3 also works with this change, as the configure
> flag is indeed inherited as Danny pointed out.

I only need the python modification for Python 3. And, as far as I can
tell, everything builds and works fine. Should I make the modification
only to Python 3, instead of inheriting it through Python 2 as it is
now?

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEf3MDQ/Lwnzx3v3nTLiXui2GAK7MFAl4FZ0EACgkQLiXui2GA
K7MlZwf9GHxZZWpF5qBD/ev2S+vfjHVZlee68d17r+sGLhqQ/7P/CXR1MjdLiNGc
PX7A2zCRdgIu/OY7KwvXtAcaddY02OcvQc0zdM2yBED6nhT20Ii6oP+VoDLO4yrj
c90RsxeXxEOSdeTpH/xzgbdOHlmRDArx6hjzgCB/IhEfk5MUI/tmKClF+fiZ1oox
sHyD3d/J3BesdDP3O2IrZjmoyeCi4L1+NxIWzqZ7wgVw/y5Zmo3f3XonIaYHJ9/i
zZdpM06VllQGKDcUOYV3eB5e7JU06Sqr0j64Hv30sru7c1mkseNyA8ORg7lFU7EP
BMFJhIQSRKaYsP4aWDAhghAIlnjnZQ==
=tpm6
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#38149; Package guix-patches. Full text available.

Message received at 38149 <at> debbugs.gnu.org:


Received: (at 38149) by debbugs.gnu.org; 26 Dec 2019 14:53:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 26 09:53:34 2019
Received: from localhost ([127.0.0.1]:55071 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ikUW5-0002JE-OL
	for submit <at> debbugs.gnu.org; Thu, 26 Dec 2019 09:53:33 -0500
Received: from wout2-smtp.messagingengine.com ([64.147.123.25]:58225)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mbakke@HIDDEN>) id 1ikUW4-0002J0-4h
 for 38149 <at> debbugs.gnu.org; Thu, 26 Dec 2019 09:53:32 -0500
Received: from compute5.internal (compute5.nyi.internal [10.202.2.45])
 by mailout.west.internal (Postfix) with ESMTP id 2F126813;
 Thu, 26 Dec 2019 09:53:26 -0500 (EST)
Received: from mailfrontend1 ([10.202.2.162])
 by compute5.internal (MEProxy); Thu, 26 Dec 2019 09:53:26 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=fastmail.com; h=
 from:to:cc:subject:in-reply-to:references:date:message-id
 :mime-version:content-type; s=fm1; bh=vvcSJqptdNwn5PptYorVwziaSF
 oAjPEZUN9yQExPS8c=; b=VJ8XaJHysbBIGKJST2ki3888zMq0SzDr8eAs7wbDkv
 x49rC/CiRkVSLeZaF7lnCw6t2zMlcuqysBV5SzXS5RrQL61JSX4xrpfcjXBM8Dtc
 3NPxNqlWcnCY1cvrwa10Vq88LT0hNtkSoSWEbXEKGn5/NDSMw7NQCLNFpMgD2Ux7
 r5r0ZpD3QfpJ4rQ9jdktaoaOuAoxE2p2LdUR1D8BPPfNC84OOfww/h8tbHG6HKRS
 vK8mhrKauXaIkCI1q2azOnb1LqwHqzIJv+pecFC3+GwrvneNFlNuOvQ1eQwBZ4z3
 5tNDJ+5KAFi+WN25ZVadCpxN8gnh+dZB1tuC0rbSlQsw==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm1; bh=vvcSJq
 ptdNwn5PptYorVwziaSFoAjPEZUN9yQExPS8c=; b=X8cFYnaLWn/i03kPrjhVBA
 r+xwfzCFoVdprWP2mUAE1FwY6Z1GYrevdKOXNXPCNipf+NbvQuWVv3OSYwe0Cypp
 KRmG/+Z40hmhM54Yf0CXNUBZ60OWHe2JSSqJYg3+sNj1apP0KLmmMti+bHiQQVuC
 rsyylJH01sK5IGW78JNIsLutOO17eRghzX54lHAEkr/7HLzEiYny/7p0Vxj4EJxL
 LkbHpbqH2s9oYGf5P/1m/R70TuRCwt8w2qSLWl4UEWPZdRvLrLYU05HDi5mLxlJO
 LCqkkjihSxS8o8kI8mUYCLSS0CP/0/XxjN4xuXt1qkRp94rbwc/JuIH/B8hq+RnA
 ==
X-ME-Sender: <xms:ZMkEXiLMmxK0f4hvZtrwBAjUmk8thXJ8q2no4cptNwTlb83uVIweaQ>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedufedrvddviedgieekucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmne
 cujfgurhephffvufgjfhgffffkgggtsehgtderredtredtnecuhfhrohhmpeforghrihhu
 shcuuegrkhhkvgcuoehmsggrkhhkvgesfhgrshhtmhgrihhlrdgtohhmqeenucfkphepke
 egrddvudegrddujeegrddukeehnecurfgrrhgrmhepmhgrihhlfhhrohhmpehmsggrkhhk
 vgesfhgrshhtmhgrihhlrdgtohhmnecuvehluhhsthgvrhfuihiivgeptd
X-ME-Proxy: <xmx:ZMkEXhlu5kKw64225cOuladrqqv7QGupje68eO0BPKalvCVeP-SGEA>
 <xmx:ZMkEXgFfkeSxH6G9pd_IS3hSBf4a1qMojGsiyMzbb2tEH-SrGt4pRQ>
 <xmx:ZMkEXhHd9kj-sczrW7Oaxtye5wAsFH9F7S9KeEFMRyygH1HxivnlzQ>
 <xmx:ZckEXhOhzRXDhaw-vTmJeWF_-eBW3lyMHyJ34oFt8M5oY2Wrlv_NTQ>
Received: from localhost (cm-84.214.174.185.getinternet.no [84.214.174.185])
 by mail.messagingengine.com (Postfix) with ESMTPA id D3B9380061;
 Thu, 26 Dec 2019 09:53:23 -0500 (EST)
From: Marius Bakke <mbakke@HIDDEN>
To: Arun Isaac <arunisaac@HIDDEN>,
 Danny Milosavljevic <dannym@HIDDEN>
Subject: Re: [bug#38149] [WIP] gnu: Add qgis.
In-Reply-To: <cu7y2uzi4u8.fsf@HIDDEN>
References: <20191109112702.14723-1-wz@HIDDEN>
 <cu7k17dfgkw.fsf@HIDDEN> <cu7k17bc94l.fsf@HIDDEN>
 <20191218100751.6edc13ce@alma-ubu> <cu78sn7ym5i.fsf@HIDDEN>
 <20191223075502.3d9cd692@HIDDEN> <cu7y2uzi4u8.fsf@HIDDEN>
User-Agent: Notmuch/0.29.3 (https://notmuchmail.org) Emacs/26.3
 (x86_64-pc-linux-gnu)
Date: Thu, 26 Dec 2019 15:53:22 +0100
Message-ID: <87r20rjfz1.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 38149
Cc: =?utf-8?Q?Bj=C3=B6rn_H=C3=B6fling?= <bjoern.hoefling@HIDDEN>,
 38149 <at> debbugs.gnu.org, Wiktor =?utf-8?Q?=C5=BBelazny?= <wz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain

Arun Isaac <arunisaac@HIDDEN> writes:

> That's right. The python modification would trigger too many
> rebuilds. Do you know which branch I should push it to?

Python 2 has 6682 dependent packages, so this change should go to the
'core-updates' branch according to the "Submitting Patches" section of
the manual.

Please make sure Python 3 also works with this change, as the configure
flag is indeed inherited as Danny pointed out.

Thank you!

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCgAdFiEEu7At3yzq9qgNHeZDoqBt8qM6VPoFAl4EyWIACgkQoqBt8qM6
VPpLewf/UDCRGcQJUM0JLF6seFodt2jLPgdScRHHSclWwkWITg5vzy40X4EuPj7r
b4F5gq4X1kgXxpxsDycbTreljGQdzlvT/i0hsvzSeOUYfDI1Pn1JHLDLIgsk2J28
Ihq9bin1DcZJNfUBlRPfuClayuBM0rWdlLRo1kRRHOTXh3Ae8oUjoF2FRNwRZa30
KLJiuGwHY3l+5o6CObBMlteaJYWZ6mEhprPNu6ca7EIzeH2+KOnK0yxEqaqgpyxF
QsQUajs/hOOciqWLsfoYGXM8HfGlVGPvCE2SCXdTTIHQD/sDpcCg9ZcEPHX3e2nU
t+hHOZCCLDY4lMsdquhg9BJaceiOnA==
=UXlP
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#38149; Package guix-patches. Full text available.

Message received at 38149 <at> debbugs.gnu.org:


Received: (at 38149) by debbugs.gnu.org; 26 Dec 2019 13:39:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 26 08:39:30 2019
Received: from localhost ([127.0.0.1]:55036 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ikTMP-0000OD-Ry
	for submit <at> debbugs.gnu.org; Thu, 26 Dec 2019 08:39:30 -0500
Received: from mugam.systemreboot.net ([139.59.75.54]:54808)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <arunisaac@HIDDEN>) id 1ikTMM-0000O1-Ku
 for 38149 <at> debbugs.gnu.org; Thu, 26 Dec 2019 08:39:28 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed;
 d=systemreboot.net; s=default; h=Content-Type:MIME-Version:Message-ID:Date:
 References:In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:
 Content-Transfer-Encoding:Content-ID:Content-Description:Resent-Date:
 Resent-From:Resent-Sender:Resent-To:Resent-Cc:Resent-Message-ID:List-Id:
 List-Help:List-Unsubscribe:List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=D5txViTSw2yElMMI5Fk4BgY7WILvxO/rjDuY8ZytUVA=; b=gG9lAwguXn02oCw3dtjiojun7
 bfDeqY8Q2U4uKTP1LTsXx0MaPMACyGtbUwqnDEh6bf8QS1KSUI8yrde1ytSDT9F9c7YOVZugdMaAe
 M8viZhuSkPcbHwomHX1dhlce+PjGfa94gyAQ2Bn/2eXY6oJChSHgUu1dHyO07ghR9tMvw=;
Received: from [192.168.2.1] (helo=steel)
 by systemreboot.net with esmtpsa (TLSv1.3:TLS_AES_256_GCM_SHA384:256)
 (Exim 4.92.3) (envelope-from <arunisaac@HIDDEN>)
 id 1ikTMH-001JbM-Ny; Thu, 26 Dec 2019 19:09:21 +0530
From: Arun Isaac <arunisaac@HIDDEN>
To: Danny Milosavljevic <dannym@HIDDEN>
Subject: Re: [bug#38149] [WIP] gnu: Add qgis.
In-Reply-To: <20191223075502.3d9cd692@HIDDEN>
References: <20191109112702.14723-1-wz@HIDDEN>
 <cu7k17dfgkw.fsf@HIDDEN> <cu7k17bc94l.fsf@HIDDEN>
 <20191218100751.6edc13ce@alma-ubu> <cu78sn7ym5i.fsf@HIDDEN>
 <20191223075502.3d9cd692@HIDDEN>
Date: Thu, 26 Dec 2019 19:09:11 +0530
Message-ID: <cu7y2uzi4u8.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38149
Cc: =?utf-8?Q?Bj=C3=B6rn_H=C3=B6fling?= <bjoern.hoefling@HIDDEN>,
 38149 <at> debbugs.gnu.org, Wiktor =?utf-8?Q?=C5=BBelazny?= <wz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain


>> Also, we should push some of the simpler patches (say, the simple
>> update patches) to master right away. That will help to declutter
>> this bug report a little bit. WDYT?
>
> Sure.

I have pushed the patches regarding geos, proj, libgeotiff, gdal,
postgis and libspatialindex.

> Also, I think the licenses can be added right now.

I am not sure of the licenses of qgis. They need to be double
checked. So, I think we should wait until then to push those license
patches.

> Likewise the package updates, but probably not the python 2.7
> modification, especially if python 3 also inherits it.
> The latter should go to some other branch.

That's right. The python modification would trigger too many
rebuilds. Do you know which branch I should push it to?

> What's up with libgeotiff's disabled tests?

That was a WIP patch where the tests were failing. In the patch I
pushed, I fixed the tests and enabled them.

> Also, I think we usually don't list the license of non-installed files
> (like the cmake includes).

Ok, I made this modification before pushing the patches.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEf3MDQ/Lwnzx3v3nTLiXui2GAK7MFAl4Et/8ACgkQLiXui2GA
K7P/Nwf+J9O3uuDQlSVYQgRHEcNPLR2GYiF7ONsnjULtYnL5lRwsDcNIHkbHH98C
yj2WKcSBbEEE9xk0Mf15Hzf1ddQSW2T5gYEJZPKxmIH+BL4QCLEUpcZhVZaX02HB
kY+AM3oTqunm4P257BLMTtwFJGQAEhQeWLbe3ZcW6dfULirAHkN6twXEXa7FMHZf
wo4LnIWUmjU6/iUeifdbjV/PDGmCB7FBC0haogiFoofUpxafmIRGhWiILGmS2RgF
OWLImXZS6zh79YbyOTstsZBWV6Zio9gthRFHtNhyO6+7BW2hfS27vb8jXccX48sD
44Q254kVxbE+DTwOO4SbiHx5cCOsnQ==
=to9t
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#38149; Package guix-patches. Full text available.

Message received at 38149 <at> debbugs.gnu.org:


Received: (at 38149) by debbugs.gnu.org; 23 Dec 2019 06:55:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 23 01:55:12 2019
Received: from localhost ([127.0.0.1]:50511 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ijHcV-0002mh-RS
	for submit <at> debbugs.gnu.org; Mon, 23 Dec 2019 01:55:12 -0500
Received: from dd26836.kasserver.com ([85.13.145.193]:45948)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dannym@HIDDEN>) id 1ijHcT-0002mS-3U
 for 38149 <at> debbugs.gnu.org; Mon, 23 Dec 2019 01:55:11 -0500
Received: from localhost (unknown [185.17.13.127])
 by dd26836.kasserver.com (Postfix) with ESMTPSA id D868933632F4;
 Mon, 23 Dec 2019 07:55:06 +0100 (CET)
Date: Mon, 23 Dec 2019 07:55:02 +0100
From: Danny Milosavljevic <dannym@HIDDEN>
To: Arun Isaac <arunisaac@HIDDEN>
Subject: Re: [bug#38149] [WIP] gnu: Add qgis.
Message-ID: <20191223075502.3d9cd692@HIDDEN>
In-Reply-To: <cu78sn7ym5i.fsf@HIDDEN>
References: <20191109112702.14723-1-wz@HIDDEN>
 <cu7k17dfgkw.fsf@HIDDEN>
 <cu7k17bc94l.fsf@HIDDEN>
 <20191218100751.6edc13ce@alma-ubu>
 <cu78sn7ym5i.fsf@HIDDEN>
X-Mailer: Claws Mail 3.17.3 (GTK+ 2.24.32; x86_64-unknown-linux-gnu)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="Sig_/VoB_vZ/4=SaUZKsAArBaD9J";
 protocol="application/pgp-signature"; micalg=pgp-sha256
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 38149
Cc: =?UTF-8?Q?Bj=C3=B6rn_H=C3=B6fling?= <bjoern.hoefling@HIDDEN>,
 38149 <at> debbugs.gnu.org, Wiktor =?UTF-8?Q?=C5=BBelazny?= <wz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--Sig_/VoB_vZ/4=SaUZKsAArBaD9J
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: quoted-printable

Hi Arun,

On Fri, 20 Dec 2019 22:22:41 +0530
Arun Isaac <arunisaac@HIDDEN> wrote:

> Yes, we should use proj instead of proj.4 wherever possible. But, if I
> remember correctly, some packages work only with proj.4 for now. Also,
> we should push some of the simpler patches (say, the simple update
> patches) to master right away. That will help to declutter this bug
> report a little bit. WDYT?

Sure.

Also, I think the licenses can be added right now.

Likewise the package updates, but probably not the python 2.7
modification, especially if python 3 also inherits it.
The latter should go to some other branch.

What's up with libgeotiff's disabled tests?

Also, I think we usually don't list the license of non-installed files
(like the cmake includes).

--Sig_/VoB_vZ/4=SaUZKsAArBaD9J
Content-Type: application/pgp-signature
Content-Description: OpenPGP digital signature

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEds7GsXJ0tGXALbPZ5xo1VCwwuqUFAl4AZMYACgkQ5xo1VCww
uqVfkAf/Qbbd3/nlIT0meqDwwz83ITbbhNCExQJOiUWiE5Aw7AFWWjTSLplVbdJw
p8Ju5cLyLjfZrXdRj9Bm+9Oz+sGJoALwBpW1zBEc7ebmzZlKFD7gflcMQHqhAByc
I9YI8/FEToBQu1t3GiqYtupaikRgEAn4ZlKtsvy00AXLK4giH9f56xzkZYyBXzbb
LV7sPm4M6D/kFnmrILR1gjbYPY72aIUuSR026QnObB+LsfObh1ohSQAx1uW5YNdL
Q7AYt1avpLytibEw3k0T5uFMTT14d9Ey46zBbco07QrkFV5OU9o2xH30Yy3hjCXw
xInm3emTe738GOMx15pjSFRDxWfjeQ==
=yWaa
-----END PGP SIGNATURE-----

--Sig_/VoB_vZ/4=SaUZKsAArBaD9J--




Information forwarded to guix-patches@HIDDEN:
bug#38149; Package guix-patches. Full text available.

Message received at 38149 <at> debbugs.gnu.org:


Received: (at 38149) by debbugs.gnu.org; 20 Dec 2019 16:53:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 20 11:53:17 2019
Received: from localhost ([127.0.0.1]:47210 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iiLWY-0002TK-G6
	for submit <at> debbugs.gnu.org; Fri, 20 Dec 2019 11:53:17 -0500
Received: from mugam.systemreboot.net ([139.59.75.54]:57446)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <arunisaac@HIDDEN>) id 1iiLWT-0002T7-QI
 for 38149 <at> debbugs.gnu.org; Fri, 20 Dec 2019 11:53:09 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed;
 d=systemreboot.net; s=default; h=Content-Type:MIME-Version:Message-ID:Date:
 References:In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:
 Content-Transfer-Encoding:Content-ID:Content-Description:Resent-Date:
 Resent-From:Resent-Sender:Resent-To:Resent-Cc:Resent-Message-ID:List-Id:
 List-Help:List-Unsubscribe:List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=yXBs4pDr/ARmj4eC9Jux/KxXyDZNGuaVbvqRSk0E5os=; b=YzZkF20y8MLatEocIWTs4dJjH
 W1rcLgCg1QBzvoZqAyMN7eUUwgpveIQHVOqDTUftt8ayfZxnOYIgXQKcmi+RGd1zIfxt1c2v9DYvq
 YO1254p4L9OgvXt3aBUsRfz6zb4zuclFF/naCjI7mwNMEOU9vt07PBz90TfTCkbuMq18c=;
Received: from [192.168.2.1] (helo=steel)
 by systemreboot.net with esmtpsa (TLSv1.3:TLS_AES_256_GCM_SHA384:256)
 (Exim 4.92.3) (envelope-from <arunisaac@HIDDEN>)
 id 1iiLWP-000sCL-De; Fri, 20 Dec 2019 22:23:01 +0530
From: Arun Isaac <arunisaac@HIDDEN>
To: =?utf-8?Q?Bj=C3=B6rn_H=C3=B6fling?= <bjoern.hoefling@HIDDEN>
Subject: Re: [bug#38149] [WIP] gnu: Add qgis.
In-Reply-To: <20191218100751.6edc13ce@alma-ubu>
References: <20191109112702.14723-1-wz@HIDDEN>
 <cu7k17dfgkw.fsf@HIDDEN> <cu7k17bc94l.fsf@HIDDEN>
 <20191218100751.6edc13ce@alma-ubu>
Date: Fri, 20 Dec 2019 22:22:41 +0530
Message-ID: <cu78sn7ym5i.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="==-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38149
Cc: 38149 <at> debbugs.gnu.org, Wiktor =?utf-8?Q?=C5=BBelazny?= <wz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--==-=-=
Content-Type: multipart/mixed; boundary="=-=-="

--=-=-=
Content-Type: text/plain


> I cannot find libspatialindex 1.9.3 here:
>
> https://download.osgeo.org/libspatialindex/

I have fixed this now.

> How could you build it (Probably answer: You guix downloaded it in
> your store and it was found by the right checksum)?

That's probably what happened, I guess.

> I found a download link here:
>
> https://libspatialindex.org/#download
>
> Or we better take the git sources? Could you please update the patch?

Let's use the source tarball for now. I think it's stable enough and the
link won't break again.

Yes, we should use proj instead of proj.4 wherever possible. But, if I
remember correctly, some packages work only with proj.4 for now. Also,
we should push some of the simpler patches (say, the simple update
patches) to master right away. That will help to declutter this bug
report a little bit. WDYT?

Please find attached a new patchset. Around 56 tests are still failing
in the qgis build. I brought it down from around a 100 or so.


--=-=-=
Content-Type: text/x-patch; charset=utf-8
Content-Disposition: inline; filename=qgis-patcheset.patch
Content-Transfer-Encoding: quoted-printable

From=2077ac87f26e493f0e4a8eb2f4b38f8ae679e6765f Mon Sep 17 00:00:00 2001
From: Arun Isaac <arunisaac@HIDDEN>
Date: Wed, 4 Dec 2019 19:55:17 +0530
Subject: [PATCH 01/14] gnu: geos: Update to 3.8.0.

* gnu/packages/geo.scm (geos): Update to 3.8.0.
=2D--
 gnu/packages/geo.scm | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/geo.scm b/gnu/packages/geo.scm
index 278ece094c..b6948a45c9 100644
=2D-- a/gnu/packages/geo.scm
+++ b/gnu/packages/geo.scm
@@ -4,7 +4,7 @@
 ;;; Copyright =C2=A9 2017, 2018 Bj=C3=B6rn H=C3=B6fling <bjoern.hoefling@b=
joernhoefling.de>
 ;;; Copyright =C2=A9 2018, 2019 Tobias Geerinckx-Rice <me@HIDDEN>
 ;;; Copyright =C2=A9 2018 Ricardo Wurmus <rekado@HIDDEN>
=2D;;; Copyright =C2=A9 2018 Arun Isaac <arunisaac@HIDDEN>
+;;; Copyright =C2=A9 2018, 2019 Arun Isaac <arunisaac@HIDDEN>
 ;;; Copyright =C2=A9 2018 Joshua Sierles, Nextjournal <joshua@nextjournal.=
com>
 ;;; Copyright =C2=A9 2018, 2019 Julien Lepiller <julien@HIDDEN>
 ;;; Copyright =C2=A9 2019 Guillaume Le Vaillant <glv@HIDDEN>
@@ -77,7 +77,7 @@
 (define-public geos
   (package
     (name "geos")
=2D    (version "3.7.1")
+    (version "3.8.0")
     (source (origin
               (method url-fetch)
               (uri (string-append "http://download.osgeo.org/geos/geos-"
@@ -85,7 +85,7 @@
                                   ".tar.bz2"))
               (sha256
                (base32
=2D                "1312m02xk4sp6f1xdpb9w0ic0zbxg90p5y66qnwidl5fksscf1h0"))=
))
+                "1mb2v9fy1gnbjhcgv0xny11ggfb17vkzsajdyibigwsxr4ylq4cr"))))
     (build-system gnu-build-system)
     (arguments `(#:phases
                  (modify-phases %standard-phases
=2D-=20
2.23.0

From=20471bcacb79de672781a775cb475099c4c0e79927 Mon Sep 17 00:00:00 2001
From: Arun Isaac <arunisaac@HIDDEN>
Date: Thu, 5 Dec 2019 01:43:42 +0530
Subject: [PATCH 02/14] gnu: Add proj.

* gnu/packages/geo.scm (proj): New variable.
=2D--
 gnu/packages/geo.scm | 35 +++++++++++++++++++++++++++++++++++
 1 file changed, 35 insertions(+)

diff --git a/gnu/packages/geo.scm b/gnu/packages/geo.scm
index b6948a45c9..1a1a2c2b37 100644
=2D-- a/gnu/packages/geo.scm
+++ b/gnu/packages/geo.scm
@@ -321,6 +321,41 @@ fully fledged Spatial SQL capabilities.")
                    license:mpl1.1
                    license:public-domain))))
=20
+(define-public proj
+  (package
+    (name "proj")
+    (version "6.2.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (string-append "http://download.osgeo.org/proj/proj-"
+                           version ".tar.gz"))
+       (sha256
+        (base32
+         "0l1as8f4zfg74fms6h5p5psziw0lpznja1xnirzsscpnfbwc005k"))))
+    (build-system gnu-build-system)
+    (inputs
+     `(("sqlite" ,sqlite)))
+    (native-inputs
+     `(("pkg-config" ,pkg-config)))
+    (home-page "https://proj.org/")
+    (synopsis "Coordinate transformation software")
+    (description
+     "Proj is a generic coordinate transformation software that transforms
+geospatial coordinates from one coordinate reference system (CRS) to anoth=
er.
+This includes cartographic projections as well as geodetic transformations.
+PROJ includes command line applications for easy conversion of coordinates
+from text files or directly from user input.  In addition, proj also expos=
es
+an application programming interface that lets developers use the
+functionality of proj in their own software.")
+    (license (list license:expat
+                   ;; src/projections/patterson.cpp
+                   license:asl2.0
+                   ;; src/geodesic.*, src/tests/geodtest.cpp
+                   license:x11
+                   ;; cmake/*
+                   license:boost1.0))))
+
 (define-public proj.4
   (package
     (name "proj.4")
=2D-=20
2.23.0

From=20e0d398a4c6e643b4f8079a318c3c2a0637e6a067 Mon Sep 17 00:00:00 2001
From: Arun Isaac <arunisaac@HIDDEN>
Date: Thu, 5 Dec 2019 01:45:30 +0530
Subject: [PATCH 03/14] gnu: gdal: Update to 3.0.2.

* gnu/packages/geo.scm (gdal): Update to 3.0.2.
[inputs]: Add proj.
=2D--
 gnu/packages/geo.scm | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/geo.scm b/gnu/packages/geo.scm
index 1a1a2c2b37..6c7eeae093 100644
=2D-- a/gnu/packages/geo.scm
+++ b/gnu/packages/geo.scm
@@ -569,7 +569,7 @@ development.")
 (define-public gdal
   (package
     (name "gdal")
=2D    (version "2.2.4")
+    (version "3.0.2")
     (source (origin
               (method url-fetch)
               (uri (string-append
@@ -577,7 +577,7 @@ development.")
                      version ".tar.gz"))
               (sha256
                (base32
=2D                "1951f7b69x3d1vic0rmq92q8f4bj3hbxnxmj5jl0cc3zg0isgmdr"))
+                "0f80izh9wshrsw55kg9abpip74hk6frk3hgqrkqbyn3f6i8g2z3q"))
               (modules '((guix build utils)))
               (snippet
                 `(begin
@@ -629,6 +629,7 @@ development.")
        ("libtiff" ,libtiff)
        ("libwebp" ,libwebp)
        ("pcre" ,pcre)
+       ("proj" ,proj)
        ("zlib" ,zlib)))
     (home-page "http://www.gdal.org/")
     (synopsis "Raster and vector geospatial data format library")
=2D-=20
2.23.0

From=2080ae71abb1a40d5b49b33ad2565b675561caad7b Mon Sep 17 00:00:00 2001
From: Arun Isaac <arunisaac@HIDDEN>
Date: Thu, 5 Dec 2019 01:46:28 +0530
Subject: [PATCH 04/14] gnu: libspatialindex: Update to 1.9.3.

* gnu/packages/geo.scm (libspatialindex): Update to 1.9.3.
[build-system]: Switch to cmake-build-system.
[source]: Update URI.
=2D--
 gnu/packages/geo.scm | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

diff --git a/gnu/packages/geo.scm b/gnu/packages/geo.scm
index 6c7eeae093..f211f49842 100644
=2D-- a/gnu/packages/geo.scm
+++ b/gnu/packages/geo.scm
@@ -1048,16 +1048,16 @@ volunteers.")
 (define-public libspatialindex
   (package
     (name "libspatialindex")
=2D    (version "1.8.5")
+    (version "1.9.3")
     (source
      (origin
        (method url-fetch)
=2D       (uri (string-append "https://download.osgeo.org/libspatialindex/"
=2D                           "spatialindex-src-" version ".tar.gz"))
+       (uri (string-append "https://github.com/libspatialindex/libspatiali=
ndex/releases/download/"
+                           version "/spatialindex-src-" version ".tar.bz2"=
))
        (sha256
         (base32
=2D         "1vxzm7kczwnb6qdmc0hb00z8ykx11zk3sb68gc7rch4vrfi4dakw"))))
=2D    (build-system gnu-build-system)
+         "02n5vjcyk04w0djidyp21hfbxfpbbara8ifd9nml6158rwqr8lja"))))
+    (build-system cmake-build-system)
     (home-page "https://libspatialindex.org")
     (synopsis "Spatial indexing library")
     (description "The purpose of this library is to provide:
=2D-=20
2.23.0

From=2006c9c61daef220d16f0e5e8c1c5eb1a9da499457 Mon Sep 17 00:00:00 2001
From: Arun Isaac <arunisaac@HIDDEN>
Date: Thu, 5 Dec 2019 01:47:47 +0530
Subject: [PATCH 05/14] gnu: libgeotiff: Update to 1.5.1.

* gnu/packages/geo.scm (libgeotiff): Update to 1.5.1.
[inputs]: Replace proj.4 with proj.
=2D--
 gnu/packages/geo.scm | 15 +++++----------
 1 file changed, 5 insertions(+), 10 deletions(-)

diff --git a/gnu/packages/geo.scm b/gnu/packages/geo.scm
index f211f49842..2019e633fb 100644
=2D-- a/gnu/packages/geo.scm
+++ b/gnu/packages/geo.scm
@@ -227,35 +227,30 @@ and driving.")
 (define-public libgeotiff
   (package
     (name "libgeotiff")
=2D    (version "1.4.3")
+    (version "1.5.1")
     (source
      (origin
        (method url-fetch)
        (uri (string-append "http://download.osgeo.org/geotiff/libgeotiff/l=
ibgeotiff-"
                            version ".tar.gz"))
        (sha256
=2D        (base32 "0rbjqixi4c8yz19larlzq6jda0px2gpmpp9c52cyhplbjsdhsldq"))
+        (base32 "0b31mlzcv5b1y7jdvb7p0pa3xradrg3x5g32ym911lbhq4rrgsgr"))
        (modules '((guix build utils)))
        (snippet
         '(begin
            ;; Remove .csv files, distributed from EPSG under a restricted
            ;; license. See LICENSE for full license text.
            (for-each delete-file (find-files "." "\\.csv$"))
=2D           ;; Now that we have removed the csv files, we need to modify =
the Makefile.
=2D           (substitute* "Makefile.in"
=2D             (("^all-am: .*$")
=2D              "all-am: Makefile $(LTLIBRARIES) $(HEADERS) geo_config.h\n=
")
=2D             (("^install-data-am: .*$")
=2D              "install-data-am: install-includeHEADERS"))
            #t))))
     (build-system gnu-build-system)
     (inputs
      `(("libjpeg-turbo" ,libjpeg-turbo)
        ("libtiff" ,libtiff)
=2D       ("proj.4" ,proj.4)
+       ("proj" ,proj)
        ("zlib" ,zlib)))
     (arguments
=2D     `(#:configure-flags
+     `(#:tests? #f
+       #:configure-flags
        (list (string-append "--with-zlib")
              (string-append "--with-jpeg")
              (string-append "--with-libtiff=3D" (assoc-ref %build-inputs "=
libtiff")))))
=2D-=20
2.23.0

From=20f7fc3ed9cea3be242ff39c85ffba1961874b10e7 Mon Sep 17 00:00:00 2001
From: Arun Isaac <arunisaac@HIDDEN>
Date: Thu, 5 Dec 2019 16:28:38 +0530
Subject: [PATCH 06/14] licenses: Add GNU Free Documentation licenses.

* guix/licenses.scm (gfdl1.2+, gfdl1.2+-without-invariant-sections): New
variables.
=2D--
 guix/licenses.scm | 11 +++++++++++
 1 file changed, 11 insertions(+)

diff --git a/guix/licenses.scm b/guix/licenses.scm
index 41d4fefad2..24e69ac1c5 100644
=2D-- a/guix/licenses.scm
+++ b/guix/licenses.scm
@@ -54,6 +54,7 @@
             freetype
             freebsd-doc
             giftware
+            gfdl1.2+ gfdl1.2+-without-invariant-sections
             gpl1 gpl1+ gpl2 gpl2+ gpl3 gpl3+
             gfl1.0
             fdl1.1+ fdl1.2+ fdl1.3+
@@ -284,6 +285,16 @@ at URI, which may be a file:// URI pointing the packag=
e's tree."
            "http://directory.fsf.org/wiki/License:Freetype"
            "https://www.gnu.org/licenses/license-list.html#freetype"))
=20
+(define gfdl1.2+
+  (license "GFDL 1.2+"
+           "https://www.gnu.org/licenses/old-licenses/fdl-1.2.en.html"
+           "https://www.gnu.org/licenses/license-list.html#FDL"))
+
+(define gfdl1.2+-without-invariant-sections
+  (license "GFDL 1.2+ without invariant sections"
+           "https://www.gnu.org/licenses/old-licenses/fdl-1.2.en.html"
+           "https://www.gnu.org/licenses/license-list.html#FDL"))
+
 (define giftware
   (license "Giftware"
            "http://liballeg.org/license.html"
=2D-=20
2.23.0

From=2037481bb118f3d3a4e3c6b525d50c7558ddd69e20 Mon Sep 17 00:00:00 2001
From: Arun Isaac <arunisaac@HIDDEN>
Date: Thu, 5 Dec 2019 16:30:09 +0530
Subject: [PATCH 07/14] licenses: Add Open Government Licence for Public Sec=
tor
 Information.

* guix/licenses.scm (ogl-psi1.0): New variable.
=2D--
 guix/licenses.scm | 6 ++++++
 1 file changed, 6 insertions(+)

diff --git a/guix/licenses.scm b/guix/licenses.scm
index 24e69ac1c5..3b79e7c1c3 100644
=2D-- a/guix/licenses.scm
+++ b/guix/licenses.scm
@@ -76,6 +76,7 @@
             ms-pl
             ncsa
             nmap
+            ogl-psi1.0
             openldap2.8 openssl
             perl-license
             psfl public-domain
@@ -527,6 +528,11 @@ at URI, which may be a file:// URI pointing the packag=
e's tree."
            "https://svn.nmap.org/nmap/COPYING"
            "https://fedoraproject.org/wiki/Licensing/Nmap"))
=20
+(define ogl-psi1.0
+  (license "Open Government Licence for Public Sector Information"
+           "https://www.nationalarchives.gov.uk/doc/open-government-licenc=
e/version/1/"
+           #f))
+
 (define openssl
   (license "OpenSSL"
            "http://directory.fsf.org/wiki/License:OpenSSL"
=2D-=20
2.23.0

From=20811ae1578e141e4508dfbde96f51c749f4ec9af1 Mon Sep 17 00:00:00 2001
From: Arun Isaac <arunisaac@HIDDEN>
Date: Thu, 5 Dec 2019 16:31:50 +0530
Subject: [PATCH 08/14] licenses: Add QWT 1.0 license.

* guix/licenses.scm (qwt1.0): New variable.
=2D--
 guix/licenses.scm | 6 ++++++
 1 file changed, 6 insertions(+)

diff --git a/guix/licenses.scm b/guix/licenses.scm
index 3b79e7c1c3..80655b7ab4 100644
=2D-- a/guix/licenses.scm
+++ b/guix/licenses.scm
@@ -81,6 +81,7 @@
             perl-license
             psfl public-domain
             qpl
+            qwt1.0
             repoze
             ruby
             sgifreeb2.0
@@ -565,6 +566,11 @@ at URI, which may be a file:// URI pointing the packag=
e's tree."
            "http://directory.fsf.org/wiki/License:QPLv1.0"
            "http://www.gnu.org/licenses/license-list.html#QPL"))
=20
+(define qwt1.0
+  (license "QWT 1.0"
+           "http://qwt.sourceforge.net/qwtlicense.html"
+           "GNU Lesser General Public License with exceptions"))
+
 (define repoze
   (license "Repoze"
            "http://repoze.org/LICENSE.txt"
=2D-=20
2.23.0

From=20641c650636b32142670f455da3f39990bd308c26 Mon Sep 17 00:00:00 2001
From: Arun Isaac <arunisaac@HIDDEN>
Date: Fri, 20 Dec 2019 18:52:38 +0530
Subject: [PATCH 09/14] gnu: postgis: Update to 3.0.0.

* gnu/packages/geo.scm (postgis): Update to 3.0.0.
[inputs]: Add json-c and libjpeg-turbo. Replace proj.4 with proj.
=2D--
 gnu/packages/geo.scm | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/geo.scm b/gnu/packages/geo.scm
index 2019e633fb..2b2f090639 100644
=2D-- a/gnu/packages/geo.scm
+++ b/gnu/packages/geo.scm
@@ -676,14 +676,14 @@ utilities for data translation and processing.")
 (define-public postgis
   (package
     (name "postgis")
=2D    (version "2.4.8")
+    (version "3.0.0")
     (source (origin
               (method url-fetch)
               (uri (string-append "https://download.osgeo.org/postgis/sour=
ce/postgis-"
                                   version ".tar.gz"))
               (sha256
                (base32
=2D                "0nanza15xzfhbpbq49p1xqz96dgbsam5332y9zj6snmz2mq685ll"))=
))
+                "15557fbk0xkngihwhqsbdyz2ng49blisf5zydw81j0gabk6x4vy0"))))
     (build-system gnu-build-system)
     (arguments
      `(#:tests? #f
@@ -702,10 +702,12 @@ utilities for data translation and processing.")
     (inputs
      `(("gdal" ,gdal)
        ("geos" ,geos)
+       ("json-c" ,json-c)
+       ("libjpeg" ,libjpeg-turbo)
        ("libxml2" ,libxml2)
        ("pcre" ,pcre)
        ("postgresql" ,postgresql)
=2D       ("proj.4" ,proj.4)))
+       ("proj" ,proj)))
     (native-inputs
      `(("perl" ,perl)
        ("pkg-config" ,pkg-config)))
=2D-=20
2.23.0

From=20f9dc84e6fc7ba0adb4bd80715f12ed70d531ac66 Mon Sep 17 00:00:00 2001
From: Arun Isaac <arunisaac@HIDDEN>
Date: Fri, 20 Dec 2019 21:36:50 +0530
Subject: [PATCH 10/14] gnu: gdal: Enable ODS format driver.

* gnu/packages/geo.scm (gdal)[inputs]: Add expat.
[arguments]: Add --with-expat to #:configure-flags.
=2D--
 gnu/packages/geo.scm | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/geo.scm b/gnu/packages/geo.scm
index 2b2f090639..54f40c0ed9 100644
=2D-- a/gnu/packages/geo.scm
+++ b/gnu/packages/geo.scm
@@ -606,6 +606,7 @@ development.")
            (with "--with-libtiff" "libtiff")
            (with "--with-geotiff" "libgeotiff")
            (with "--with-libz" "zlib")
+           (with "--with-expat" "expat")
            "--with-pcre"))
        #:phases
        (modify-phases %standard-phases
@@ -614,7 +615,8 @@ development.")
              (substitute* "frmts/mrf/mrf_band.cpp"
                (("\"../zlib/zlib.h\"") "<zlib.h>")))))))
     (inputs
=2D     `(("freexl" ,freexl)
+     `(("expat" ,expat)
+       ("freexl" ,freexl)
        ("geos" ,geos)
        ("giflib" ,giflib)
        ("json-c" ,json-c)
=2D-=20
2.23.0

From=200bb22bac6a58141d918245654a7f6abd172204ca Mon Sep 17 00:00:00 2001
From: Arun Isaac <arunisaac@HIDDEN>
Date: Fri, 20 Dec 2019 21:39:22 +0530
Subject: [PATCH 11/14] gnu: gdal: Enable GPKG format driver.

* gnu/packages/geo.scm (gdal)[inputs]: Enable sqlite.
[arguments]: Add --with-sqlite3 to #:configure-flags.
=2D--
 gnu/packages/geo.scm | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/gnu/packages/geo.scm b/gnu/packages/geo.scm
index 54f40c0ed9..8bdd6358a6 100644
=2D-- a/gnu/packages/geo.scm
+++ b/gnu/packages/geo.scm
@@ -607,6 +607,7 @@ development.")
            (with "--with-geotiff" "libgeotiff")
            (with "--with-libz" "zlib")
            (with "--with-expat" "expat")
+           (with "--with-sqlite3" "sqlite")
            "--with-pcre"))
        #:phases
        (modify-phases %standard-phases
@@ -627,6 +628,7 @@ development.")
        ("libwebp" ,libwebp)
        ("pcre" ,pcre)
        ("proj" ,proj)
+       ("sqlite" ,sqlite)
        ("zlib" ,zlib)))
     (home-page "http://www.gdal.org/")
     (synopsis "Raster and vector geospatial data format library")
=2D-=20
2.23.0

From=2081f2314930100666a98f29a1c10a624e90bc74bc Mon Sep 17 00:00:00 2001
From: Arun Isaac <arunisaac@HIDDEN>
Date: Fri, 20 Dec 2019 21:54:44 +0530
Subject: [PATCH 12/14] gnu: gdal: Enable netCDF format driver.

* gnu/packages/geo.scm (gdal)[inputs]: Add netcdf.
=2D--
 gnu/packages/geo.scm | 1 +
 1 file changed, 1 insertion(+)

diff --git a/gnu/packages/geo.scm b/gnu/packages/geo.scm
index 8bdd6358a6..768ddd862d 100644
=2D-- a/gnu/packages/geo.scm
+++ b/gnu/packages/geo.scm
@@ -626,6 +626,7 @@ development.")
        ("libpng" ,libpng)
        ("libtiff" ,libtiff)
        ("libwebp" ,libwebp)
+       ("netcdf" ,netcdf)
        ("pcre" ,pcre)
        ("proj" ,proj)
        ("sqlite" ,sqlite)
=2D-=20
2.23.0

From=20742ad584435ec3c3138a900043e3a00cfc9d39e4 Mon Sep 17 00:00:00 2001
From: Arun Isaac <arunisaac@HIDDEN>
Date: Fri, 20 Dec 2019 21:46:21 +0530
Subject: [PATCH 13/14] gnu: python: Enable loadable sqlite extensions.

* gnu/packages/python.scm (python-2.7)[arguments]: Add
=2D-enable-loadable-sqlite-extensions to #:configure-flags.
=2D--
 gnu/packages/python.scm | 1 +
 1 file changed, 1 insertion(+)

diff --git a/gnu/packages/python.scm b/gnu/packages/python.scm
index 048941e8a9..eb15a0e840 100644
=2D-- a/gnu/packages/python.scm
+++ b/gnu/packages/python.scm
@@ -145,6 +145,7 @@
              "--with-system-ffi"                  ;build ctypes
              "--with-ensurepip=3Dinstall"           ;install pip and setup=
tools
              "--enable-unicode=3Ducs4"
+             "--enable-loadable-sqlite-extensions"
=20
              ;; Prevent the installed _sysconfigdata.py from retaining a r=
eference
              ;; to coreutils.
=2D-=20
2.23.0

From=20c08492669cf43550f0797d83a0a5461ba1311e64 Mon Sep 17 00:00:00 2001
From: Arun Isaac <arunisaac@HIDDEN>
Date: Thu, 5 Dec 2019 16:32:49 +0530
Subject: [PATCH 14/14] gnu: Add qgis.

* gnu/packages/geo.scm (qgis): New variable.
=2D--
 gnu/packages/geo.scm | 281 ++++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 280 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/geo.scm b/gnu/packages/geo.scm
index 768ddd862d..cb9779807f 100644
=2D-- a/gnu/packages/geo.scm
+++ b/gnu/packages/geo.scm
@@ -45,21 +45,26 @@
   #:use-module (guix utils)
   #:use-module (gnu packages astronomy)
   #:use-module (gnu packages autotools)
+  #:use-module (gnu packages bison)
   #:use-module (gnu packages boost)
   #:use-module (gnu packages check)
   #:use-module (gnu packages compression)
   #:use-module (gnu packages databases)
   #:use-module (gnu packages datastructures)
   #:use-module (gnu packages documentation)
+  #:use-module (gnu packages flex)
   #:use-module (gnu packages fonts)
   #:use-module (gnu packages fontutils)
   #:use-module (gnu packages glib)
   #:use-module (gnu packages gnome)
   #:use-module (gnu packages gtk)
+  #:use-module (gnu packages haskell-apps)
   #:use-module (gnu packages image)
   #:use-module (gnu packages icu4c)
   #:use-module (gnu packages java)
+  #:use-module (gnu packages kde)
   #:use-module (gnu packages lua)
+  #:use-module (gnu packages maths)
   #:use-module (gnu packages pcre)
   #:use-module (gnu packages perl)
   #:use-module (gnu packages pkg-config)
@@ -69,10 +74,12 @@
   #:use-module (gnu packages python-xyz)
   #:use-module (gnu packages qt)
   #:use-module (gnu packages sqlite)
+  #:use-module (gnu packages time)
   #:use-module (gnu packages web)
   #:use-module (gnu packages webkit)
   #:use-module (gnu packages wxwidgets)
=2D  #:use-module (gnu packages xml))
+  #:use-module (gnu packages xml)
+  #:use-module (gnu packages xorg))
=20
 (define-public geos
   (package
@@ -1329,3 +1336,275 @@ MaxMind DB files.")
     (description "Provides an API for the GeoIP2 web services and database=
s.
 The API also works with MaxMind=E2=80=99s free GeoLite2 databases.")
     (license license:asl2.0)))
+
+(define-public qgis
+  (package
+    (name "qgis")
+    (version "3.10.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (string-append "http://qgis.org/downloads/qgis-"
+                           version ".tar.bz2"))
+       (sha256
+        (base32
+         "04ph8abhq0f2hzq276a070nwyhzfrvyhswks6gx2z4pvv50irsr5"))))
+    (build-system cmake-build-system)
+    (arguments
+     `(#:modules ((guix build cmake-build-system)
+                  ((guix build python-build-system) #:prefix python:)
+                  (guix build utils))
+       #:imported-modules (,@%cmake-build-system-modules
+                           (guix build python-build-system))
+       #:phases
+       (modify-phases %standard-phases
+         ;; Configure correct path to PyQt5 SIP directory
+         (add-after 'unpack 'configure-pyqt5-sip-path
+           (lambda* (#:key inputs #:allow-other-keys)
+             (substitute* "cmake/FindPyQt5.cmake"
+               (("\"\\\\\\\\1\" PYQT5_SIP_DIR")
+                (string-append "\"" (assoc-ref inputs "python-pyqt+qscinti=
lla")
+                               "/share/sip\" PYQT5_SIP_DIR")))
+             (substitute* (list "scripts/prepare-commit.sh"
+                                "scripts/runtests-local-travis-config.sh"
+                                "scripts/sip_include.sh"
+                                "scripts/sipdiff"
+                                "scripts/sipify_all.sh"
+                                "scripts/spell_check/check_spelling.sh"
+                                "scripts/spell_check/spell_test.sh"
+                                "scripts/verify-indentation.sh"
+                                "tests/code_layout/test_banned_keywords.sh"
+                                "tests/code_layout/test_licenses.sh"
+                                "tests/code_layout/test_shellcheck.sh"
+                                "tests/code_layout/test_sip_include.sh"
+                                "tests/code_layout/test_sipfiles_uptodate.=
sh"
+                                "tests/code_layout/test_sipify.sh")
+               (("\\$\\(git rev-parse --show-toplevel\\)")
+                (getcwd)))
+             (substitute* "tests/code_layout/test_sip_include.sh"
+               (("^REV=3D.*") "REV=3Dcurrentrev\n"))
+             #t))
+         (replace 'check
+           (lambda* (#:key inputs #:allow-other-keys)
+             (setenv "HOME" "/tmp")
+             (system (string-append (assoc-ref inputs "xorg-server") "/bin=
/Xvfb :1 &"))
+             (setenv "DISPLAY" ":1")
+             (setenv "TRAVIS" "true")
+             (setenv "CTEST_OUTPUT_ON_FAILURE" "1")
+             (invoke "ctest"
+                     ;; Disable tests that require network access
+                     "-E" "qgis_filedownloader")))
+         (add-after 'install 'wrap
+           (assoc-ref python:%standard-phases 'wrap)))))
+    (inputs
+     `(("exiv2" ,exiv2)
+       ("expat" ,expat)
+       ("gdal" ,gdal)
+       ("geos" ,geos)
+       ("gsl" ,gsl)
+       ("libspatialindex" ,libspatialindex)
+       ("libspatialite" ,libspatialite)
+       ("libzip" ,libzip)
+       ("postgresql" ,postgresql)
+       ("proj" ,proj)
+       ("python" ,python)
+       ("python-gdal" ,python-gdal)
+       ("python-psycopg2" ,python-psycopg2)
+       ("python-pyqt+qscintilla" ,python-pyqt+qscintilla)
+       ("python-pyyaml" ,python-pyyaml)
+       ("qca" ,qca)
+       ("qscintilla" ,qscintilla)
+       ("qtbase" ,qtbase)
+       ("qtdeclarative" ,qtdeclarative)
+       ("qtkeychain" ,qtkeychain)
+       ("qtlocation" ,qtlocation)
+       ("qtserialport" ,qtserialport)
+       ("qtsvg" ,qtsvg)
+       ("qttools" ,qttools)
+       ("qtwebkit" ,qtwebkit)
+       ("qwt" ,qwt)
+       ("sqlite" ,sqlite-with-column-metadata)))
+    (native-inputs
+     `(("bison" ,bison)
+       ("flex" ,flex)
+       ("perl" ,perl)
+       ("perl-yaml-tiny" ,perl-yaml-tiny)
+       ("python-mock" ,python-mock)
+       ("python-nose2" ,python-nose2)
+       ("shellcheck" ,shellcheck)
+       ("xorg-server" ,xorg-server-for-tests)))
+    (home-page "https://qgis.org")
+    (synopsis "Geographical information system")
+    (description "QGIS is an easy to use Geographical Information
+System (GIS).  It is a GIS data viewer and editor.  QGIS supports a number=
 of
+raster and vector data formats, with new support easily added using the pl=
ugin
+architecture.")
+    (license
+     (list license:gpl2+
+           ;; qgis.dtd
+           ;; src/core/pal/rtree.hpp
+           ;; src/plugins/grass/qtermwidget/konsole_wcwidth.*
+           ;; cmake/PythonCompile.py
+           ;; resources/cpt-city-qgis-min/dg/*
+           ;; resources/cpt-city-qgis-min/gery/*
+           ;; resources/cpt-city-qgis-min/jjg/dem/*
+           ;; resources/cpt-city-qgis-min/jjg/misc/*
+           ;; resources/cpt-city-qgis-min/jjg/physics/*
+           ;; tests/testdata/cpt-city/jjg/misc/*
+           ;; resources/cpt-city-qgis-min/km/*
+           ;; resources/cpt-city-qgis-min/pd/*
+           ;; resources/cpt-city-qgis-min/wkp/encyclopedia/*
+           ;; resources/cpt-city-qgis-min/wkp/template/*
+           ;; resources/cpt-city-qgis-min/ocal/*
+           ;; resources/cpt-city-qgis-min/rf/*
+           ;; resources/cpt-city-qgis-min/tp/*
+           license:public-domain
+           ;; python/plugins/processing/modeler/ModelerArrowItem.py
+           ;; src/app/qgssettingstree.cpp
+           ;; src/app/qgssettingstree.h
+           ;; src/app/qgsvariantdelegate.cpp
+           ;; src/app/qgsvariantdelegate.h
+           ;; src/app/qtmain_android.cpp
+           ;; cmake/Bison.cmake
+           ;; cmake/FindExpat.cmake
+           ;; cmake/FindGRASS.cmake
+           ;; cmake/FindPostgres.cmake
+           ;; cmake/FindProj.cmake
+           ;; cmake/FindSqlite3.cmake
+           ;; cmake/Flex.cmake
+           ;; cmake/FindFcgi.cmake
+           ;; cmake/FindGDAL.cmake
+           ;; cmake/FindGEOS.cmake
+           ;; cmake/FindGSL.cmake
+           ;; cmake/FindIconv.cmake
+           ;; cmake/FindOSGEARTH.cmake
+           ;; cmake/FindLibPython.py
+           ;; cmake/FindPyQt4.cmake
+           ;; cmake/FindPyQt4.py
+           ;; cmake/FindPyQt5.cmake
+           ;; cmake/FindPyQt5.py
+           ;; cmake/FindPythonLibrary.cmake
+           ;; cmake/FindSIP.cmake
+           ;; cmake/FindSIP.py
+           ;; cmake/PythonMacros.cmake
+           ;; cmake/SIPMacros.cmake
+           ;; cmake/FindQCA.cmake
+           ;; cmake/FindQextserialport.cmake
+           ;; cmake/FindQGIS.cmake
+           ;; cmake/FindQsci.cmake
+           ;; cmake/FindQsci.py
+           ;; cmake/FindQScintilla.cmake
+           ;; cmake/FindQwt.cmake
+           ;; cmake/FindSpatiaLite.cmake
+           ;; cmake/MacBundleMacros.cmake
+           ;; cmake/MacPlistMacros.cmake
+           ;; cmake/PyQtMacros.cmake
+           ;; cmake/QCAMacros.cmake
+           ;; cmake/UsePythonTest.cmake
+           license:bsd-3
+           ;; external//qwtpolar-1.1.1/*
+           ;; src/gui/raster/qwt5_histogram_item.h
+           license:qwt1.0
+           ;; external/astyle/*
+           license:lgpl2.1+
+           ;; external/nmea/config.h
+           ;; external/nmea/context.c
+           ;; external/nmea/context.h
+           ;; external/nmea/gmath.c
+           ;; external/nmea/gmath.h
+           ;; external/nmea/info.c
+           ;; external/nmea/info.h
+           ;; external/nmea/nmeatime.h
+           ;; external/nmea/parse.c
+           ;; external/nmea/parse.h
+           ;; external/nmea/parser.h
+           ;; external/nmea/sentence.c
+           ;; external/nmea/sentence.h
+           ;; external/nmea/time.c
+           ;; external/nmea/tok.c
+           ;; external/nmea/tok.h
+           ;; external/nmea/units.h
+           ;; src/plugins/evis/*
+           ;; src/plugins/grass/qtermwidget/kprocess.cpp
+           ;; src/plugins/grass/qtermwidget/kprocess.h
+           ;; src/plugins/grass/qtermwidget/kptydevice.cpp
+           ;; src/plugins/grass/qtermwidget/kptydevice.h
+           ;; src/plugins/grass/qtermwidget/kptyprocess.cpp
+           ;; src/plugins/grass/qtermwidget/kptyprocess.h
+           ;; src/plugins/grass/qtermwidget/kpty.cpp
+           ;; src/plugins/grass/qtermwidget/kpty.h
+           ;; src/plugins/grass/qtermwidget/kpty_p.h
+           ;; src/plugins/grass/qtermwidget/qtermwidget.cpp
+           ;; src/plugins/grass/qtermwidget/qtermwidget.h
+           ;; src/plugins/grass/qtermwidget/TerminalCharacterDecoder.cpp
+           ;; src/plugins/grass/qtermwidget/TerminalCharacterDecoder.h
+           license:lgpl2.0+
+           ;; src/core/pal/*
+           ;; resources/cpt-city-qgis-min/ds9/*
+           ;; resources/cpt-city-qgis-min/grass/*
+           license:gpl3+
+           ;; src/core/symbology/qgscolorbrewerpalette.cpp
+           license:asl2.0
+           ;; images/themes/default/*
+           ;; resources/cpt-city-qgis-min/gps/*
+           ;; resources/cpt-city-qgis-min/nd/*
+           ;; resources/cpt-city-qgis-min/wkp/country/*
+           ;; resources/cpt-city-qgis-min/wkp/jarke/*
+           ;; resources/cpt-city-qgis-min/wkp/jarke/*
+           ;; resources/cpt-city-qgis-min/wkp/knutux/*
+           ;; resources/cpt-city-qgis-min/wkp/lilleskut/*
+           ;; resources/cpt-city-qgis-min/wkp/plumbago/*
+           ;; resources/cpt-city-qgis-min/wkp/precip/*
+           ;; resources/cpt-city-qgis-min/wkp/schwarzwald/*
+           ;; resources/cpt-city-qgis-min/wkp/shadowxfox/*
+           ;; resources/cpt-city-qgis-min/wkp/tubs/*
+           license:cc-by-sa3.0
+           ;; resources/cpt-city-qgis-min/cb/*
+           ;; resources/cpt-city-qgis-min/jjg/cbac/*
+           ;; resources/cpt-city-qgis-min/jjg/cbcont/*
+           ;; resources/cpt-city-qgis-min/jjg/polarity/*
+           license:asl1.1
+           ;; resources/cpt-city-qgis-min/ds/*
+           (license:fsf-free
+            "https://www.deviantart.com/webgoddess/art/Reddish-Inspired-Gr=
adients-42208824")
+           ;; resources/cpt-city-qgis-min/es/*
+           (license:fsdg-compatible
+            "https://www.deviantart.com/elvensword")
+           ;; resources/cpt-city-qgis-min/gist/*
+           (license:non-copyleft "file://debian/copyright"
+                                 "BSD-like-gist")
+           ;; resources/cpt-city-qgis-min/go2/webtwo/*
+           (license:fsf-free "file://debian/copyright"
+                             "Go Squared")
+           ;; resources/cpt-city-qgis-min/h5/*
+           license:expat
+           ;; resources/cpt-city-qgis-min/jm/*
+           (license:non-copyleft "file://debian/copyright"
+                                 "Jim Mossman Attribution")
+           ;; resources/cpt-city-qgis-min/ncl/*
+           (license:non-copyleft
+            "https://www.ncl.ucar.edu/Download/NCL_source_license.shtml"
+            "NCL Source Code License")
+           ;; resources/cpt-city-qgis-min/os/*
+           ;; resources/cpt-city-qgis-min/ukmo/*
+           license:ogl-psi1.0
+           ;; resources/cpt-city-qgis-min/wkp/ice/*
+           license:gfdl1.2+-without-invariant-sections
+           ;; src/gui/symbology/characterwidget.cpp
+           ;; src/gui/symbology/characterwidget.h
+           ;; src/providers/oracle/ocispatial/main.cpp
+           ;; src/providers/oracle/ocispatial/qsql_ocispatial.cpp
+           ;; src/providers/oracle/ocispatial/qsql_ocispatial.h
+           ;; src/providers/oracle/ocispatial/qsqlcachedresult_p.h
+           ;; src/providers/spatialite/qspatialite/qsql_spatialite.cpp
+           ;; src/providers/spatialite/qspatialite/qsql_spatialite.h
+           ;; src/providers/spatialite/qspatialite/qsqlcachedresult_p.h
+           ;; src/providers/spatialite/qspatialite/smain.cpp
+           ;; tests/qt_modeltest/modeltest.cpp
+           ;; tests/qt_modeltest/modeltest.h
+           ;; tests/qt_modeltest/tst_modeltest.cpp
+           ;; tests/qt_modeltest/dynamictreemodel.cpp
+           ;; tests/qt_modeltest/dynamictreemodel.h
+           (license:fsf-free
+            "file://debian/copyright"
+            "QT-Commercial or LGPL-2.1 with Digia Qt LGPL Exception 1.1 or=
 GPL-3")))))
=2D-=20
2.23.0


--=-=-=--

--==-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEf3MDQ/Lwnzx3v3nTLiXui2GAK7MFAl38/FkACgkQLiXui2GA
K7PKOAf/dhvF9955Ja1iAAuLrrXSXV60hU1Y3isQ5/6FPq1t/0iAokQURhcwouVf
AFW34FQSDI9iD/Z1M5JdL29J6tWry2tPDeteq5hSde/3z8o75mcAccWpqx1r4Ljt
ValUlka/TeU/Omw169+g+7IuyFcinAIwtl0VMgXnWZVTlH/TmbADfAZSwapafzAe
Rp6jDSmpbfu0riHj+GWokVxSjGswGxZ2R4EItbppc1QK5/vDyd1zwrxi2g0kEKla
IGv4w/kM6s5tfl02Dcl60DJNQNg4+dTN3cZRl36RoTVojDvn0A9SEx3VlbLyI+3f
pByGY3pEgULr54/RZfIbWmc3WniCCw==
=Cfy0
-----END PGP SIGNATURE-----
--==-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#38149; Package guix-patches. Full text available.

Message received at 38149 <at> debbugs.gnu.org:


Received: (at 38149) by debbugs.gnu.org; 18 Dec 2019 09:07:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 18 04:07:55 2019
Received: from localhost ([127.0.0.1]:42666 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ihVJD-0001FR-1D
	for submit <at> debbugs.gnu.org; Wed, 18 Dec 2019 04:07:55 -0500
Received: from m4s11.vlinux.de ([83.151.27.109]:54926 helo=bjoernhoefling.de)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bjoern.hoefling@HIDDEN>)
 id 1ihVJB-0001FI-F8
 for 38149 <at> debbugs.gnu.org; Wed, 18 Dec 2019 04:07:54 -0500
Received: from alma-ubu (unknown [217.110.240.66])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by bjoernhoefling.de (Postfix) with ESMTPSA id 9EFFE3F836;
 Wed, 18 Dec 2019 10:07:51 +0100 (CET)
Date: Wed, 18 Dec 2019 10:07:51 +0100
From: =?UTF-8?B?QmrDtnJuIEjDtmZsaW5n?= <bjoern.hoefling@HIDDEN>
To: Arun Isaac <arunisaac@HIDDEN>
Subject: Re: [bug#38149] [WIP] gnu: Add qgis.
Message-ID: <20191218100751.6edc13ce@alma-ubu>
In-Reply-To: <cu7k17bc94l.fsf@HIDDEN>
References: <20191109112702.14723-1-wz@HIDDEN>
 <cu7k17dfgkw.fsf@HIDDEN>
 <cu7k17bc94l.fsf@HIDDEN>
X-Mailer: Claws Mail 3.16.0 (GTK+ 2.24.32; x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha1;
 boundary="Sig_/_vjlVaicPScso_vvk/xz3_O"; protocol="application/pgp-signature"
X-Spam-Score: 0.4 (/)
X-Debbugs-Envelope-To: 38149
Cc: 38149 <at> debbugs.gnu.org, Wiktor =?UTF-8?B?xbtlbGF6bnk=?= <wz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--Sig_/_vjlVaicPScso_vvk/xz3_O
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

On Thu, 05 Dec 2019 16:49:38 +0530
Arun Isaac <arunisaac@HIDDEN> wrote:

> Subject: [PATCH 4/9] gnu: libspatialindex: Update to 1.9.3.

[..]

> -    (version "1.8.5")
> +    (version "1.9.3")
>      (source
>       (origin
>         (method url-fetch)
>         (uri (string-append
> "https://download.osgeo.org/libspatialindex/"
> -                           "spatialindex-src-" version ".tar.gz"))
> +                           "spatialindex-src-" version ".tar.bz2"))

I cannot find libspatialindex 1.9.3 here:

https://download.osgeo.org/libspatialindex/

How could you build it (Probably answer: You guix downloaded it in
your store and it was found by the right checksum)?

I found a download link here:

https://libspatialindex.org/#download

Or we better take the git sources? Could you please update the patch?

Thanks,

Bj=C3=B6rn

--Sig_/_vjlVaicPScso_vvk/xz3_O
Content-Type: application/pgp-signature
Content-Description: OpenPGP digital signature

-----BEGIN PGP SIGNATURE-----

iF0EARECAB0WIQQiGUP0np8nb5SZM4K/KGy2WT5f/QUCXfnsZwAKCRC/KGy2WT5f
/fjNAJ4xt5D8pDMWPBsGw1lJmQQwrKQDTACcD/dQjxMM6R+Zi+AZEgFGuUh2Lhs=
=FuwC
-----END PGP SIGNATURE-----

--Sig_/_vjlVaicPScso_vvk/xz3_O--




Information forwarded to guix-patches@HIDDEN:
bug#38149; Package guix-patches. Full text available.

Message received at 38149 <at> debbugs.gnu.org:


Received: (at 38149) by debbugs.gnu.org; 18 Dec 2019 08:59:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 18 03:59:57 2019
Received: from localhost ([127.0.0.1]:42658 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ihVBU-000125-VF
	for submit <at> debbugs.gnu.org; Wed, 18 Dec 2019 03:59:57 -0500
Received: from m4s11.vlinux.de ([83.151.27.109]:54918 helo=bjoernhoefling.de)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bjoern.hoefling@HIDDEN>)
 id 1ihVBS-00011w-AH
 for 38149 <at> debbugs.gnu.org; Wed, 18 Dec 2019 03:59:55 -0500
Received: from alma-ubu (unknown [217.110.240.66])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by bjoernhoefling.de (Postfix) with ESMTPSA id 76CD73F836;
 Wed, 18 Dec 2019 09:59:52 +0100 (CET)
Date: Wed, 18 Dec 2019 09:59:51 +0100
From: =?UTF-8?B?QmrDtnJuIEjDtmZsaW5n?= <bjoern.hoefling@HIDDEN>
To: Arun Isaac <arunisaac@HIDDEN>
Subject: Re: [bug#38149] [WIP] gnu: Add qgis.
Message-ID: <20191218095951.16d4d4fa@alma-ubu>
In-Reply-To: <cu7k17bc94l.fsf@HIDDEN>
References: <20191109112702.14723-1-wz@HIDDEN>
 <cu7k17dfgkw.fsf@HIDDEN>
 <cu7k17bc94l.fsf@HIDDEN>
X-Mailer: Claws Mail 3.16.0 (GTK+ 2.24.32; x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha1;
 boundary="Sig_/lhyaR8QQC.UFy.dAHiK5hUK"; protocol="application/pgp-signature"
X-Spam-Score: 0.4 (/)
X-Debbugs-Envelope-To: 38149
Cc: 38149 <at> debbugs.gnu.org, Wiktor =?UTF-8?B?xbtlbGF6bnk=?= <wz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--Sig_/lhyaR8QQC.UFy.dAHiK5hUK
Content-Type: multipart/mixed; boundary="MP_/j99RHYA325bFeTez3TxX1T."

--MP_/j99RHYA325bFeTez3TxX1T.
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
Content-Disposition: inline

Hi Arun,

On Thu, 05 Dec 2019 16:49:38 +0530
Arun Isaac <arunisaac@HIDDEN> wrote:

> From 07056365b692b896419f108ec072291ab2bba7e1 Mon Sep 17 00:00:00 2001
> From: Arun Isaac <arunisaac@HIDDEN>
> Date: Thu, 5 Dec 2019 01:43:42 +0530
> Subject: [PATCH 2/9] gnu: Add proj.
>=20
> * gnu/packages/geo.scm (proj): New variable.

We should clean up proj/proj.4 a bit more. I have to admit that I have
neglected this topic a bit, because it is tedious :-)

Proj/Proj.4 have different dependencies now (glib vs sqlite). This could
be OK due to the big change they made, but it could also hint a
packaging problem. I haven't looked yet into these details.

Reverse-dependencies:

At least now we have some packages depending on both proj and proj4,
for example:

* proj4-->postgis, proj->gdal->postgis

I will attach the full graph of:

$ guix graph -t reverse-package proj proj.4

Maybe we can totally eliminate proj.4, if all its dependencies are happy
with the 5+ (breaking) changes. If we cannot remove proj.4, at least
the graph should be separated. The "connecting package" is gdal (and
geotiff).

I know this is a bit out-of-scope of the QGIS-patch, but I think we
should clean this up before.

Bj=C3=B6rn

--MP_/j99RHYA325bFeTez3TxX1T.
Content-Type: application/msword-template
Content-Transfer-Encoding: base64
Content-Disposition: attachment; filename=both.dot
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==

--MP_/j99RHYA325bFeTez3TxX1T.
Content-Type: image/svg+xml
Content-Transfer-Encoding: base64
Content-Disposition: attachment; filename=both.svg
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--MP_/j99RHYA325bFeTez3TxX1T.--

--Sig_/lhyaR8QQC.UFy.dAHiK5hUK
Content-Type: application/pgp-signature
Content-Description: OpenPGP digital signature

-----BEGIN PGP SIGNATURE-----

iF0EARECAB0WIQQiGUP0np8nb5SZM4K/KGy2WT5f/QUCXfnqhwAKCRC/KGy2WT5f
/YLbAJ9rdUq29F/0a1Tpu8VhuPb3PQm73ACff9PjNitATXQn7Jpz/7JsbJTGsDY=
=p3cH
-----END PGP SIGNATURE-----

--Sig_/lhyaR8QQC.UFy.dAHiK5hUK--




Information forwarded to guix-patches@HIDDEN:
bug#38149; Package guix-patches. Full text available.

Message received at 38149 <at> debbugs.gnu.org:


Received: (at 38149) by debbugs.gnu.org; 18 Dec 2019 06:21:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 18 01:21:23 2019
Received: from localhost ([127.0.0.1]:42603 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ihSi2-0003Wq-RP
	for submit <at> debbugs.gnu.org; Wed, 18 Dec 2019 01:21:23 -0500
Received: from m4s11.vlinux.de ([83.151.27.109]:54882 helo=bjoernhoefling.de)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bjoern.hoefling@HIDDEN>)
 id 1ihSi0-0003Wg-BW
 for 38149 <at> debbugs.gnu.org; Wed, 18 Dec 2019 01:21:21 -0500
Received: from alma-ubu (p57B526BA.dip0.t-ipconnect.de [87.181.38.186])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by bjoernhoefling.de (Postfix) with ESMTPSA id A10A63F886;
 Wed, 18 Dec 2019 07:21:18 +0100 (CET)
Date: Wed, 18 Dec 2019 07:21:18 +0100
From: =?UTF-8?B?QmrDtnJuIEjDtmZsaW5n?= <bjoern.hoefling@HIDDEN>
To: Arun Isaac <arunisaac@HIDDEN>
Subject: Re: [bug#38149] [WIP] gnu: Add qgis.
Message-ID: <20191218072118.1e218e9d@alma-ubu>
In-Reply-To: <cu7k17bc94l.fsf@HIDDEN>
References: <20191109112702.14723-1-wz@HIDDEN>
 <cu7k17dfgkw.fsf@HIDDEN>
 <cu7k17bc94l.fsf@HIDDEN>
X-Mailer: Claws Mail 3.16.0 (GTK+ 2.24.32; x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha1;
 boundary="Sig_/v3VJvFcH7zgSX_rC97zLuZN"; protocol="application/pgp-signature"
X-Spam-Score: 0.4 (/)
X-Debbugs-Envelope-To: 38149
Cc: 38149 <at> debbugs.gnu.org, Wiktor =?UTF-8?B?xbtlbGF6bnk=?= <wz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--Sig_/v3VJvFcH7zgSX_rC97zLuZN
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

Hi Arun,

On Thu, 05 Dec 2019 16:49:38 +0530
Arun Isaac <arunisaac@HIDDEN> wrote:

> Please find attached my WIP patchset. With this patchset, qgis builds
> and runs successfully. Pending work includes

The last patch (0009 for QGIS itself) does not apply. Do you have an
updated patch?

Thanks,

Bj=C3=B6rn

--Sig_/v3VJvFcH7zgSX_rC97zLuZN
Content-Type: application/pgp-signature
Content-Description: OpenPGP digital signature

-----BEGIN PGP SIGNATURE-----

iF0EARECAB0WIQQiGUP0np8nb5SZM4K/KGy2WT5f/QUCXfnFXgAKCRC/KGy2WT5f
/WB6AJ4352xJFbkw4POB9ZizxLAAhAFtVQCdHxJty2y0bupwzKEpnBtwws9gFi0=
=PKdu
-----END PGP SIGNATURE-----

--Sig_/v3VJvFcH7zgSX_rC97zLuZN--




Information forwarded to guix-patches@HIDDEN:
bug#38149; Package guix-patches. Full text available.

Message received at 38149 <at> debbugs.gnu.org:


Received: (at 38149) by debbugs.gnu.org; 10 Dec 2019 17:09:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 10 12:09:08 2019
Received: from localhost ([127.0.0.1]:56513 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iej0W-0001DC-1h
	for submit <at> debbugs.gnu.org; Tue, 10 Dec 2019 12:09:08 -0500
Received: from mugam.systemreboot.net ([139.59.75.54]:46008)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <arunisaac@HIDDEN>) id 1iej0S-0001Cj-QE
 for 38149 <at> debbugs.gnu.org; Tue, 10 Dec 2019 12:09:06 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed;
 d=systemreboot.net; s=default; h=Content-Type:MIME-Version:Message-ID:Date:
 References:In-Reply-To:Subject:To:From:Sender:Reply-To:Cc:
 Content-Transfer-Encoding:Content-ID:Content-Description:Resent-Date:
 Resent-From:Resent-Sender:Resent-To:Resent-Cc:Resent-Message-ID:List-Id:
 List-Help:List-Unsubscribe:List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=EjT1h/al+2u/Hc2lov1WDeqgkYYYIQKIresCYFBzyKU=; b=ABUPBy9ju4PraUiiNzEfEeytj
 lyThz6+43Uhf9l1cI7Ftzwd5TbxglGUfBr4rXMGHTZ/XZlCYBnRR7SQ53S2QT0NR5GYvVDQOTKAub
 LdoW+ZSg5f01s6JbicN6VY6DdNTKp/4TaqPc48wFmZW5RsC2gyEdXL+2gxakiP5yOH9P4=;
Received: from [192.168.2.1] (helo=steel)
 by systemreboot.net with esmtpsa (TLSv1.3:TLS_AES_256_GCM_SHA384:256)
 (Exim 4.92.3) (envelope-from <arunisaac@HIDDEN>)
 id 1iej0P-0008oX-A2; Tue, 10 Dec 2019 22:39:01 +0530
From: Arun Isaac <arunisaac@HIDDEN>
To: Wiktor =?utf-8?Q?=C5=BBelazny?= <wz@HIDDEN>, 38149 <at> debbugs.gnu.org
Subject: Re: [bug#38149] [WIP] gnu: Add qgis.
In-Reply-To: <20191207105142.hspozy6juvp3czki@HIDDEN>
References: <20191109112702.14723-1-wz@HIDDEN>
 <cu7k17dfgkw.fsf@HIDDEN> <cu7k17bc94l.fsf@HIDDEN>
 <20191207105142.hspozy6juvp3czki@HIDDEN>
Date: Tue, 10 Dec 2019 22:38:40 +0530
Message-ID: <cu7pngwaz1j.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38149
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain


> Impressive. Unfortunately, I could not test it because of busyness and
> the savannah issue.

No problem! Take your time. I am working on the tests now. That will
likely take another eternity, but I'm making steady progress.

Also, I just read this email. Please CC me in the future. That will help
me take note sooner.

Cheers! :-)

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEf3MDQ/Lwnzx3v3nTLiXui2GAK7MFAl3v0RkACgkQLiXui2GA
K7MTKQf6AoTfq8xRbM58B5yM6l4M4WvFje5g/vEkppQTtwmQ0/KUtpS93NBdD6ig
anPsavzhWgXY+aZtICZIoqlEdPLXWHXgDXYtfrTDbrkuU+IKMVvmQ8fiB0zH7iVP
NgIsQEVRd+2iL3JYYiNnP5v8sjOBdQrjvGZLMMk7hGjN4/75zMtGY343kjGGjQw2
Syfu9RRPxLxNl4ZGMWBYrzaopO9FlqYm5vS76FQO6gALWdmLSlxneA8OXF/wib6d
EvSWJ92jFCw4vDzupkNJ6B1FcP3qy3yjtL6oRqw08/ZsuOTAj07ld369VjXDF0qt
gh+MJSGj/deR7YNTf/iNn38eM9A1HA==
=HmsC
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#38149; Package guix-patches. Full text available.

Message received at 38149 <at> debbugs.gnu.org:


Received: (at 38149) by debbugs.gnu.org; 8 Dec 2019 03:20:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 07 22:20:20 2019
Received: from localhost ([127.0.0.1]:50184 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1idn7M-0004cu-JU
	for submit <at> debbugs.gnu.org; Sat, 07 Dec 2019 22:20:20 -0500
Received: from freeshell.de ([94.247.40.156]:42030 ident=postfix)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <wz@HIDDEN>) id 1idn7K-0004ci-NO
 for 38149 <at> debbugs.gnu.org; Sat, 07 Dec 2019 22:20:19 -0500
Date: Sat, 7 Dec 2019 11:51:42 +0100
From: Wiktor =?utf-8?Q?=C5=BBelazny?= <wz@HIDDEN>
To: 38149 <at> debbugs.gnu.org
Subject: Re: [bug#38149] [WIP] gnu: Add qgis.
Message-ID: <20191207105142.hspozy6juvp3czki@HIDDEN>
Mail-Followup-To: 38149 <at> debbugs.gnu.org
References: <20191109112702.14723-1-wz@HIDDEN>
 <cu7k17dfgkw.fsf@HIDDEN>
 <cu7k17bc94l.fsf@HIDDEN>
Content-Type: multipart/signed; micalg=pgp-sha512;
 protocol="application/pgp-signature"; boundary="nsfn6uhhge25i7hb"
Content-Disposition: inline
In-Reply-To: <cu7k17bc94l.fsf@HIDDEN>
X-PGP-Key: https://freeshell.de/~wz/pubkey.asc
X-PGP-Fingerprint: BDC9 74CD D9C9 BA7D 761A  573D C735 A8C6 AB60 79D5
User-Agent: NeoMutt/20180716
X-Spam-Score: 0.8 (/)
X-Debbugs-Envelope-To: 38149
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.2 (/)


--nsfn6uhhge25i7hb
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Thu, Dec 05, 2019 at 04:49:38PM +0530, Arun Isaac wrote:

> Please find attached my WIP patchset.

Impressive. Unfortunately, I could not test it because of busyness and
the savannah issue.

Thank you for your work,

W=C5=BB

--nsfn6uhhge25i7hb
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQKTBAABCgB9FiEEvcl0zdnJun12Glc9xzWoxqtgedUFAl3rhD1fFIAAAAAALgAo
aXNzdWVyLWZwckBub3RhdGlvbnMub3BlbnBncC5maWZ0aGhvcnNlbWFuLm5ldEJE
Qzk3NENERDlDOUJBN0Q3NjFBNTczREM3MzVBOEM2QUI2MDc5RDUACgkQxzWoxqtg
edU+Zg//R3sONBfAbe/PG87zf0vU45kUzNvWKVOn3y8MF+ZqfWllZlO1NQK/Z3Lh
u5tGsckN4wgWvk02Jzk9ZhsohdXYmI5sERuWjAsyXovk719B3ozERjLBLKH5fsBV
b89aztVJSirU8XRNfjVlmpcetu5bZ345OfGV3wTq+3KaFa8WhUrhNEHf9SRpvgGZ
b8Ff47ZNlkMVJ02/5pRpBK7WVihOu39wYvhi685DQNrKCrDRlbF4ElOq5h4zbilE
7G5JaKoqqnZPKVS6ZwlfTBl38Rrf+579VxWcg7SvG5RCelv8S9orC0T69wi46q54
YZPO5+P85Lqlo2oqJ48MR61plcUHmP+r+qHqBBiACp+zTmXRf3MMxCcRIdiOePzC
IjRsIZ9tgI/4HemV+xy781/cqG9Dk/gQsje/ddkFSBvhFV/yIOrvHEKGsXtqacbO
V5BNxvCCNJH4sJ1k5ajrDGeZtokEjGvp/hX0GUyOqSyWL+nYwVd9wP1fIDE18IzN
JfJKNTKHFKgg4RuTYvgOHuY2a1MAqUqeu1upb3go3reX5aH5+ChhStLqWhop7Weq
xPSJ7ss33uFYE4R/CPEUive8kfaOYH1m/fJeKOq8QmiKqEo7+u2M0AJDN2lj3nWM
6i/Lon0eq4RpKEJ3F+MkovSjJTDVZo+rLY7QKaojlpo4RkBEjAg=
=dTK7
-----END PGP SIGNATURE-----

--nsfn6uhhge25i7hb--




Information forwarded to guix-patches@HIDDEN:
bug#38149; Package guix-patches. Full text available.

Message received at 38149 <at> debbugs.gnu.org:


Received: (at 38149) by debbugs.gnu.org; 5 Dec 2019 11:20:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 05 06:20:09 2019
Received: from localhost ([127.0.0.1]:43145 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1icpAu-0005J6-04
	for submit <at> debbugs.gnu.org; Thu, 05 Dec 2019 06:20:09 -0500
Received: from mugam.systemreboot.net ([139.59.75.54]:34176)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <arunisaac@HIDDEN>) id 1icpAm-0005Ip-KP
 for 38149 <at> debbugs.gnu.org; Thu, 05 Dec 2019 06:19:59 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed;
 d=systemreboot.net; s=default; h=Content-Type:MIME-Version:Message-ID:Date:
 References:In-Reply-To:Subject:To:From:Sender:Reply-To:Cc:
 Content-Transfer-Encoding:Content-ID:Content-Description:Resent-Date:
 Resent-From:Resent-Sender:Resent-To:Resent-Cc:Resent-Message-ID:List-Id:
 List-Help:List-Unsubscribe:List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=ak38q/qCWuOOttcvc+z7qrzzqgUBs69mBHitvQRDml4=; b=Zz3d4tf8wlu6twQLkVCqrrJCK
 gHqsLrc+WM/MMMF/r8iT5lwC1wJToTyExAnPbeuyDBLBGECDNOarPY0MJTITT42B+bzZbizbclaLg
 LtLGLdkukwqaXArrCguQgBA7NDq9k1zhs5/n295MvoOCncHpkL/CEfASJFLS909jU1Msk=;
Received: from [192.168.2.1] (helo=steel)
 by systemreboot.net with esmtpsa (TLSv1.3:TLS_AES_256_GCM_SHA384:256)
 (Exim 4.92.3) (envelope-from <arunisaac@HIDDEN>)
 id 1icpAi-000EDV-VK; Thu, 05 Dec 2019 16:49:49 +0530
From: Arun Isaac <arunisaac@HIDDEN>
To: Wiktor =?utf-8?Q?=C5=BBelazny?= <wz@HIDDEN>, 38149 <at> debbugs.gnu.org
Subject: Re: [bug#38149] [WIP] gnu: Add qgis.
In-Reply-To: <cu7k17dfgkw.fsf@HIDDEN>
References: <20191109112702.14723-1-wz@HIDDEN>
 <cu7k17dfgkw.fsf@HIDDEN>
Date: Thu, 05 Dec 2019 16:49:38 +0530
Message-ID: <cu7k17bc94l.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="==-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 38149
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

--==-=-=
Content-Type: multipart/mixed; boundary="=-=-="

--=-=-=
Content-Type: text/plain


Please find attached my WIP patchset. With this patchset, qgis builds
and runs successfully. Pending work includes

- get libgeotiff tests working
- get qgis tests working
- double check qgis license field


--=-=-=
Content-Type: text/x-patch; charset=utf-8
Content-Disposition: inline; filename=0001-gnu-geos-Update-to-3.8.0.patch
Content-Transfer-Encoding: quoted-printable

From=20702d874896c88e0c330fa0c04ab0acfd1cef0723 Mon Sep 17 00:00:00 2001
From: Arun Isaac <arunisaac@HIDDEN>
Date: Wed, 4 Dec 2019 19:55:17 +0530
Subject: [PATCH 1/9] gnu: geos: Update to 3.8.0.

* gnu/packages/geo.scm (geos): Update to 3.8.0.
=2D--
 gnu/packages/geo.scm | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/geo.scm b/gnu/packages/geo.scm
index 477e9a460a..a6186ed2f0 100644
=2D-- a/gnu/packages/geo.scm
+++ b/gnu/packages/geo.scm
@@ -4,7 +4,7 @@
 ;;; Copyright =C2=A9 2017, 2018 Bj=C3=B6rn H=C3=B6fling <bjoern.hoefling@b=
joernhoefling.de>
 ;;; Copyright =C2=A9 2018, 2019 Tobias Geerinckx-Rice <me@HIDDEN>
 ;;; Copyright =C2=A9 2018 Ricardo Wurmus <rekado@HIDDEN>
=2D;;; Copyright =C2=A9 2018 Arun Isaac <arunisaac@HIDDEN>
+;;; Copyright =C2=A9 2018, 2019 Arun Isaac <arunisaac@HIDDEN>
 ;;; Copyright =C2=A9 2018 Joshua Sierles, Nextjournal <joshua@nextjournal.=
com>
 ;;; Copyright =C2=A9 2018, 2019 Julien Lepiller <julien@HIDDEN>
 ;;; Copyright =C2=A9 2019 Guillaume Le Vaillant <glv@HIDDEN>
@@ -75,7 +75,7 @@
 (define-public geos
   (package
     (name "geos")
=2D    (version "3.7.1")
+    (version "3.8.0")
     (source (origin
               (method url-fetch)
               (uri (string-append "http://download.osgeo.org/geos/geos-"
@@ -83,7 +83,7 @@
                                   ".tar.bz2"))
               (sha256
                (base32
=2D                "1312m02xk4sp6f1xdpb9w0ic0zbxg90p5y66qnwidl5fksscf1h0"))=
))
+                "1mb2v9fy1gnbjhcgv0xny11ggfb17vkzsajdyibigwsxr4ylq4cr"))))
     (build-system gnu-build-system)
     (arguments `(#:phases
                  (modify-phases %standard-phases
=2D-=20
2.23.0


--=-=-=
Content-Type: text/x-patch
Content-Disposition: inline; filename=0002-gnu-Add-proj.patch
Content-Transfer-Encoding: quoted-printable

From=2007056365b692b896419f108ec072291ab2bba7e1 Mon Sep 17 00:00:00 2001
From: Arun Isaac <arunisaac@HIDDEN>
Date: Thu, 5 Dec 2019 01:43:42 +0530
Subject: [PATCH 2/9] gnu: Add proj.

* gnu/packages/geo.scm (proj): New variable.
=2D--
 gnu/packages/geo.scm | 35 +++++++++++++++++++++++++++++++++++
 1 file changed, 35 insertions(+)

diff --git a/gnu/packages/geo.scm b/gnu/packages/geo.scm
index a6186ed2f0..f5ff753390 100644
=2D-- a/gnu/packages/geo.scm
+++ b/gnu/packages/geo.scm
@@ -319,6 +319,41 @@ fully fledged Spatial SQL capabilities.")
                    license:mpl1.1
                    license:public-domain))))
=20
+(define-public proj
+  (package
+    (name "proj")
+    (version "6.2.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (string-append "http://download.osgeo.org/proj/proj-"
+                           version ".tar.gz"))
+       (sha256
+        (base32
+         "0l1as8f4zfg74fms6h5p5psziw0lpznja1xnirzsscpnfbwc005k"))))
+    (build-system gnu-build-system)
+    (inputs
+     `(("sqlite" ,sqlite)))
+    (native-inputs
+     `(("pkg-config" ,pkg-config)))
+    (home-page "https://proj.org/")
+    (synopsis "Coordinate transformation software")
+    (description
+     "Proj is a generic coordinate transformation software that transforms
+geospatial coordinates from one coordinate reference system (CRS) to anoth=
er.
+This includes cartographic projections as well as geodetic transformations.
+PROJ includes command line applications for easy conversion of coordinates
+from text files or directly from user input.  In addition, proj also expos=
es
+an application programming interface that lets developers use the
+functionality of proj in their own software.")
+    (license (list license:expat
+                   ;; src/projections/patterson.cpp
+                   license:asl2.0
+                   ;; src/geodesic.*, src/tests/geodtest.cpp
+                   license:x11
+                   ;; cmake/*
+                   license:boost1.0))))
+
 (define-public proj.4
   (package
     (name "proj.4")
=2D-=20
2.23.0


--=-=-=
Content-Type: text/x-patch
Content-Disposition: inline; filename=0003-gnu-gdal-Update-to-3.0.2.patch
Content-Transfer-Encoding: quoted-printable

From=2068db9af6291a223254eff5e9803372f0fef18e78 Mon Sep 17 00:00:00 2001
From: Arun Isaac <arunisaac@HIDDEN>
Date: Thu, 5 Dec 2019 01:45:30 +0530
Subject: [PATCH 3/9] gnu: gdal: Update to 3.0.2.

* gnu/packages/geo.scm (gdal): Update to 3.0.2.
[inputs]: Add proj.
=2D--
 gnu/packages/geo.scm | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/geo.scm b/gnu/packages/geo.scm
index f5ff753390..ea78b69089 100644
=2D-- a/gnu/packages/geo.scm
+++ b/gnu/packages/geo.scm
@@ -567,7 +567,7 @@ development.")
 (define-public gdal
   (package
     (name "gdal")
=2D    (version "2.2.4")
+    (version "3.0.2")
     (source (origin
               (method url-fetch)
               (uri (string-append
@@ -575,7 +575,7 @@ development.")
                      version ".tar.gz"))
               (sha256
                (base32
=2D                "1951f7b69x3d1vic0rmq92q8f4bj3hbxnxmj5jl0cc3zg0isgmdr"))
+                "0f80izh9wshrsw55kg9abpip74hk6frk3hgqrkqbyn3f6i8g2z3q"))
               (modules '((guix build utils)))
               (snippet
                 `(begin
@@ -627,6 +627,7 @@ development.")
        ("libtiff" ,libtiff)
        ("libwebp" ,libwebp)
        ("pcre" ,pcre)
+       ("proj" ,proj)
        ("zlib" ,zlib)))
     (home-page "http://www.gdal.org/")
     (synopsis "Raster and vector geospatial data format library")
=2D-=20
2.23.0


--=-=-=
Content-Type: text/x-patch
Content-Disposition: inline;
 filename=0004-gnu-libspatialindex-Update-to-1.9.3.patch
Content-Transfer-Encoding: quoted-printable

From=20eb19fd3b25484f58abcf0db7174064bc1158bb7e Mon Sep 17 00:00:00 2001
From: Arun Isaac <arunisaac@HIDDEN>
Date: Thu, 5 Dec 2019 01:46:28 +0530
Subject: [PATCH 4/9] gnu: libspatialindex: Update to 1.9.3.

* gnu/packages/geo.scm (libspatialindex): Update to 1.9.3.
[build-system]: Switch to cmake-build-system.
=2D--
 gnu/packages/geo.scm | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/gnu/packages/geo.scm b/gnu/packages/geo.scm
index ea78b69089..ad138d6578 100644
=2D-- a/gnu/packages/geo.scm
+++ b/gnu/packages/geo.scm
@@ -1046,16 +1046,16 @@ volunteers.")
 (define-public libspatialindex
   (package
     (name "libspatialindex")
=2D    (version "1.8.5")
+    (version "1.9.3")
     (source
      (origin
        (method url-fetch)
        (uri (string-append "https://download.osgeo.org/libspatialindex/"
=2D                           "spatialindex-src-" version ".tar.gz"))
+                           "spatialindex-src-" version ".tar.bz2"))
        (sha256
         (base32
=2D         "1vxzm7kczwnb6qdmc0hb00z8ykx11zk3sb68gc7rch4vrfi4dakw"))))
=2D    (build-system gnu-build-system)
+         "02n5vjcyk04w0djidyp21hfbxfpbbara8ifd9nml6158rwqr8lja"))))
+    (build-system cmake-build-system)
     (home-page "https://libspatialindex.org")
     (synopsis "Spatial indexing library")
     (description "The purpose of this library is to provide:
=2D-=20
2.23.0


--=-=-=
Content-Type: text/x-patch
Content-Disposition: inline;
 filename=0005-gnu-libgeotiff-Update-to-1.5.1.patch
Content-Transfer-Encoding: quoted-printable

From=20ba3bff132eba8eeaf032e69cade548910bb8c3fd Mon Sep 17 00:00:00 2001
From: Arun Isaac <arunisaac@HIDDEN>
Date: Thu, 5 Dec 2019 01:47:47 +0530
Subject: [PATCH 5/9] gnu: libgeotiff: Update to 1.5.1.

* gnu/packages/geo.scm (libgeotiff): Update to 1.5.1.
[inputs]: Replace proj.4 with proj.
=2D--
 gnu/packages/geo.scm | 15 +++++----------
 1 file changed, 5 insertions(+), 10 deletions(-)

diff --git a/gnu/packages/geo.scm b/gnu/packages/geo.scm
index ad138d6578..8fe48367b9 100644
=2D-- a/gnu/packages/geo.scm
+++ b/gnu/packages/geo.scm
@@ -225,35 +225,30 @@ and driving.")
 (define-public libgeotiff
   (package
     (name "libgeotiff")
=2D    (version "1.4.3")
+    (version "1.5.1")
     (source
      (origin
        (method url-fetch)
        (uri (string-append "http://download.osgeo.org/geotiff/libgeotiff/l=
ibgeotiff-"
                            version ".tar.gz"))
        (sha256
=2D        (base32 "0rbjqixi4c8yz19larlzq6jda0px2gpmpp9c52cyhplbjsdhsldq"))
+        (base32 "0b31mlzcv5b1y7jdvb7p0pa3xradrg3x5g32ym911lbhq4rrgsgr"))
        (modules '((guix build utils)))
        (snippet
         '(begin
            ;; Remove .csv files, distributed from EPSG under a restricted
            ;; license. See LICENSE for full license text.
            (for-each delete-file (find-files "." "\\.csv$"))
=2D           ;; Now that we have removed the csv files, we need to modify =
the Makefile.
=2D           (substitute* "Makefile.in"
=2D             (("^all-am: .*$")
=2D              "all-am: Makefile $(LTLIBRARIES) $(HEADERS) geo_config.h\n=
")
=2D             (("^install-data-am: .*$")
=2D              "install-data-am: install-includeHEADERS"))
            #t))))
     (build-system gnu-build-system)
     (inputs
      `(("libjpeg-turbo" ,libjpeg-turbo)
        ("libtiff" ,libtiff)
=2D       ("proj.4" ,proj.4)
+       ("proj" ,proj)
        ("zlib" ,zlib)))
     (arguments
=2D     `(#:configure-flags
+     `(#:tests? #f
+       #:configure-flags
        (list (string-append "--with-zlib")
              (string-append "--with-jpeg")
              (string-append "--with-libtiff=3D" (assoc-ref %build-inputs "=
libtiff")))))
=2D-=20
2.23.0


--=-=-=
Content-Type: text/x-patch
Content-Disposition: inline;
 filename=0006-licenses-Add-GNU-Free-Documentation-licenses.patch
Content-Transfer-Encoding: quoted-printable

From=20f4a36d098a9b51ff22b9f2e1c6b414f8648010ed Mon Sep 17 00:00:00 2001
From: Arun Isaac <arunisaac@HIDDEN>
Date: Thu, 5 Dec 2019 16:28:38 +0530
Subject: [PATCH 6/9] licenses: Add GNU Free Documentation licenses.

* guix/licenses.scm (gfdl1.2+, gfdl1.2+-without-invariant-sections): New
variables.
=2D--
 guix/licenses.scm | 11 +++++++++++
 1 file changed, 11 insertions(+)

diff --git a/guix/licenses.scm b/guix/licenses.scm
index 41d4fefad2..24e69ac1c5 100644
=2D-- a/guix/licenses.scm
+++ b/guix/licenses.scm
@@ -54,6 +54,7 @@
             freetype
             freebsd-doc
             giftware
+            gfdl1.2+ gfdl1.2+-without-invariant-sections
             gpl1 gpl1+ gpl2 gpl2+ gpl3 gpl3+
             gfl1.0
             fdl1.1+ fdl1.2+ fdl1.3+
@@ -284,6 +285,16 @@ at URI, which may be a file:// URI pointing the packag=
e's tree."
            "http://directory.fsf.org/wiki/License:Freetype"
            "https://www.gnu.org/licenses/license-list.html#freetype"))
=20
+(define gfdl1.2+
+  (license "GFDL 1.2+"
+           "https://www.gnu.org/licenses/old-licenses/fdl-1.2.en.html"
+           "https://www.gnu.org/licenses/license-list.html#FDL"))
+
+(define gfdl1.2+-without-invariant-sections
+  (license "GFDL 1.2+ without invariant sections"
+           "https://www.gnu.org/licenses/old-licenses/fdl-1.2.en.html"
+           "https://www.gnu.org/licenses/license-list.html#FDL"))
+
 (define giftware
   (license "Giftware"
            "http://liballeg.org/license.html"
=2D-=20
2.23.0


--=-=-=
Content-Type: text/x-patch
Content-Disposition: inline;
 filename=0007-licenses-Add-Open-Government-Licence-for-Public-Sect.patch
Content-Transfer-Encoding: quoted-printable

From=2034f79e3835550d89e94e5b61b9d0bfe1c9254ce1 Mon Sep 17 00:00:00 2001
From: Arun Isaac <arunisaac@HIDDEN>
Date: Thu, 5 Dec 2019 16:30:09 +0530
Subject: [PATCH 7/9] licenses: Add Open Government Licence for Public Sector
 Information.

* guix/licenses.scm (ogl-psi1.0): New variable.
=2D--
 guix/licenses.scm | 6 ++++++
 1 file changed, 6 insertions(+)

diff --git a/guix/licenses.scm b/guix/licenses.scm
index 24e69ac1c5..3b79e7c1c3 100644
=2D-- a/guix/licenses.scm
+++ b/guix/licenses.scm
@@ -76,6 +76,7 @@
             ms-pl
             ncsa
             nmap
+            ogl-psi1.0
             openldap2.8 openssl
             perl-license
             psfl public-domain
@@ -527,6 +528,11 @@ at URI, which may be a file:// URI pointing the packag=
e's tree."
            "https://svn.nmap.org/nmap/COPYING"
            "https://fedoraproject.org/wiki/Licensing/Nmap"))
=20
+(define ogl-psi1.0
+  (license "Open Government Licence for Public Sector Information"
+           "https://www.nationalarchives.gov.uk/doc/open-government-licenc=
e/version/1/"
+           #f))
+
 (define openssl
   (license "OpenSSL"
            "http://directory.fsf.org/wiki/License:OpenSSL"
=2D-=20
2.23.0


--=-=-=
Content-Type: text/x-patch
Content-Disposition: inline;
 filename=0008-licenses-Add-QWT-1.0-license.patch
Content-Transfer-Encoding: quoted-printable

From=20692ebddcddbf26e92274455044fe8c082f7526a1 Mon Sep 17 00:00:00 2001
From: Arun Isaac <arunisaac@HIDDEN>
Date: Thu, 5 Dec 2019 16:31:50 +0530
Subject: [PATCH 8/9] licenses: Add QWT 1.0 license.

* guix/licenses.scm (qwt1.0): New variable.
=2D--
 guix/licenses.scm | 6 ++++++
 1 file changed, 6 insertions(+)

diff --git a/guix/licenses.scm b/guix/licenses.scm
index 3b79e7c1c3..80655b7ab4 100644
=2D-- a/guix/licenses.scm
+++ b/guix/licenses.scm
@@ -81,6 +81,7 @@
             perl-license
             psfl public-domain
             qpl
+            qwt1.0
             repoze
             ruby
             sgifreeb2.0
@@ -565,6 +566,11 @@ at URI, which may be a file:// URI pointing the packag=
e's tree."
            "http://directory.fsf.org/wiki/License:QPLv1.0"
            "http://www.gnu.org/licenses/license-list.html#QPL"))
=20
+(define qwt1.0
+  (license "QWT 1.0"
+           "http://qwt.sourceforge.net/qwtlicense.html"
+           "GNU Lesser General Public License with exceptions"))
+
 (define repoze
   (license "Repoze"
            "http://repoze.org/LICENSE.txt"
=2D-=20
2.23.0


--=-=-=
Content-Type: text/x-patch
Content-Disposition: inline; filename=0009-gnu-Add-qgis.patch
Content-Transfer-Encoding: quoted-printable

From=20dd9860f804a76ce9d92c69bb67304695c0ce3142 Mon Sep 17 00:00:00 2001
From: Arun Isaac <arunisaac@HIDDEN>
Date: Thu, 5 Dec 2019 16:32:49 +0530
Subject: [PATCH 9/9] gnu: Add qgis.

* gnu/packages/geo.scm (qgis): New variable.
=2D--
 gnu/packages/geo.scm | 242 +++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 242 insertions(+)

diff --git a/gnu/packages/geo.scm b/gnu/packages/geo.scm
index 8fe48367b9..625b4aeebb 100644
=2D-- a/gnu/packages/geo.scm
+++ b/gnu/packages/geo.scm
@@ -44,12 +44,14 @@
   #:use-module (guix utils)
   #:use-module (gnu packages astronomy)
   #:use-module (gnu packages autotools)
+  #:use-module (gnu packages bison)
   #:use-module (gnu packages boost)
   #:use-module (gnu packages check)
   #:use-module (gnu packages compression)
   #:use-module (gnu packages databases)
   #:use-module (gnu packages datastructures)
   #:use-module (gnu packages documentation)
+  #:use-module (gnu packages flex)
   #:use-module (gnu packages fonts)
   #:use-module (gnu packages fontutils)
   #:use-module (gnu packages glib)
@@ -58,15 +60,19 @@
   #:use-module (gnu packages image)
   #:use-module (gnu packages icu4c)
   #:use-module (gnu packages java)
+  #:use-module (gnu packages kde)
   #:use-module (gnu packages lua)
+  #:use-module (gnu packages maths)
   #:use-module (gnu packages pcre)
   #:use-module (gnu packages perl)
   #:use-module (gnu packages pkg-config)
   #:use-module (gnu packages protobuf)
   #:use-module (gnu packages python)
+  #:use-module (gnu packages python-web)
   #:use-module (gnu packages python-xyz)
   #:use-module (gnu packages qt)
   #:use-module (gnu packages sqlite)
+  #:use-module (gnu packages time)
   #:use-module (gnu packages web)
   #:use-module (gnu packages webkit)
   #:use-module (gnu packages wxwidgets)
@@ -1244,3 +1250,239 @@ supports loading GPX tracks, background imagery and=
 OSM data from local
 sources as well as from online sources and allows to edit the OSM data (no=
des,
 ways, and relations) and their metadata tags.")
     (license license:gpl2+)))
+
+(define-public qgis
+  (package
+    (name "qgis")
+    (version "3.10.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (string-append "http://qgis.org/downloads/qgis-"
+                           version ".tar.bz2"))
+       (sha256
+        (base32
+         "04ph8abhq0f2hzq276a070nwyhzfrvyhswks6gx2z4pvv50irsr5"))))
+    (build-system cmake-build-system)
+    (arguments
+     `(#:tests? #f ; yet to get the tests working
+       #:modules ((guix build cmake-build-system)
+                  ((guix build python-build-system) #:prefix python:)
+                  (guix build utils))
+       #:imported-modules (,@%cmake-build-system-modules
+                           (guix build python-build-system))
+       #:phases
+       (modify-phases %standard-phases
+         ;; Configure correct path to PyQt5 SIP directory
+         (add-after 'unpack 'configure-pyqt5-sip-path
+           (lambda* (#:key inputs #:allow-other-keys)
+             (substitute* "cmake/FindPyQt5.cmake"
+               (("\"\\\\\\\\1\" PYQT5_SIP_DIR")
+                (string-append "\"" (assoc-ref inputs "python-pyqt+qscinti=
lla")
+                               "/share/sip\" PYQT5_SIP_DIR")))
+             #t))
+         (add-after 'install 'wrap
+           (assoc-ref python:%standard-phases 'wrap)))))
+    (inputs
+     `(("exiv2" ,exiv2)
+       ("expat" ,expat)
+       ("gdal" ,gdal)
+       ("geos" ,geos)
+       ("gsl" ,gsl)
+       ("libspatialindex" ,libspatialindex)
+       ("libspatialite" ,libspatialite)
+       ("libzip" ,libzip)
+       ("postgresql" ,postgresql)
+       ("proj" ,proj)
+       ("python" ,python)
+       ("python-pyqt+qscintilla" ,python-pyqt+qscintilla)
+       ("qca" ,qca)
+       ("qscintilla" ,qscintilla)
+       ("qtbase" ,qtbase)
+       ("qtdeclarative" ,qtdeclarative)
+       ("qtkeychain" ,qtkeychain)
+       ("qtlocation" ,qtlocation)
+       ("qtserialport" ,qtserialport)
+       ("qtsvg" ,qtsvg)
+       ("qttools" ,qttools)
+       ("qtwebkit" ,qtwebkit)
+       ("qwt" ,qwt)
+       ("sqlite" ,sqlite-with-column-metadata)))
+    (native-inputs
+     `(("bison" ,bison)
+       ("flex" ,flex)))
+    (home-page "https://qgis.org")
+    (synopsis "Geographical information system")
+    (description "QGIS is an easy to use Geographical Information
+System (GIS).  It is a GIS data viewer and editor.  QGIS supports a number=
 of
+raster and vector data formats, with new support easily added using the pl=
ugin
+architecture.")
+    (license
+     (list license:gpl2+
+           ;; qgis.dtd
+           ;; src/core/pal/rtree.hpp
+           ;; src/plugins/grass/qtermwidget/konsole_wcwidth.*
+           ;; cmake/PythonCompile.py
+           ;; resources/cpt-city-qgis-min/dg/*
+           ;; resources/cpt-city-qgis-min/gery/*
+           ;; resources/cpt-city-qgis-min/jjg/dem/*
+           ;; resources/cpt-city-qgis-min/jjg/misc/*
+           ;; resources/cpt-city-qgis-min/jjg/physics/*
+           ;; tests/testdata/cpt-city/jjg/misc/*
+           ;; resources/cpt-city-qgis-min/km/*
+           ;; resources/cpt-city-qgis-min/pd/*
+           ;; resources/cpt-city-qgis-min/wkp/encyclopedia/*
+           ;; resources/cpt-city-qgis-min/wkp/template/*
+           ;; resources/cpt-city-qgis-min/ocal/*
+           ;; resources/cpt-city-qgis-min/rf/*
+           ;; resources/cpt-city-qgis-min/tp/*
+           license:public-domain
+           ;; python/plugins/processing/modeler/ModelerArrowItem.py
+           ;; src/app/qgssettingstree.cpp
+           ;; src/app/qgssettingstree.h
+           ;; src/app/qgsvariantdelegate.cpp
+           ;; src/app/qgsvariantdelegate.h
+           ;; src/app/qtmain_android.cpp
+           ;; cmake/Bison.cmake
+           ;; cmake/FindExpat.cmake
+           ;; cmake/FindGRASS.cmake
+           ;; cmake/FindPostgres.cmake
+           ;; cmake/FindProj.cmake
+           ;; cmake/FindSqlite3.cmake
+           ;; cmake/Flex.cmake
+           ;; cmake/FindFcgi.cmake
+           ;; cmake/FindGDAL.cmake
+           ;; cmake/FindGEOS.cmake
+           ;; cmake/FindGSL.cmake
+           ;; cmake/FindIconv.cmake
+           ;; cmake/FindOSGEARTH.cmake
+           ;; cmake/FindLibPython.py
+           ;; cmake/FindPyQt4.cmake
+           ;; cmake/FindPyQt4.py
+           ;; cmake/FindPyQt5.cmake
+           ;; cmake/FindPyQt5.py
+           ;; cmake/FindPythonLibrary.cmake
+           ;; cmake/FindSIP.cmake
+           ;; cmake/FindSIP.py
+           ;; cmake/PythonMacros.cmake
+           ;; cmake/SIPMacros.cmake
+           ;; cmake/FindQCA.cmake
+           ;; cmake/FindQextserialport.cmake
+           ;; cmake/FindQGIS.cmake
+           ;; cmake/FindQsci.cmake
+           ;; cmake/FindQsci.py
+           ;; cmake/FindQScintilla.cmake
+           ;; cmake/FindQwt.cmake
+           ;; cmake/FindSpatiaLite.cmake
+           ;; cmake/MacBundleMacros.cmake
+           ;; cmake/MacPlistMacros.cmake
+           ;; cmake/PyQtMacros.cmake
+           ;; cmake/QCAMacros.cmake
+           ;; cmake/UsePythonTest.cmake
+           license:bsd-3
+           ;; external//qwtpolar-1.1.1/*
+           ;; src/gui/raster/qwt5_histogram_item.h
+           license:qwt1.0
+           ;; external/astyle/*
+           license:lgpl2.1+
+           ;; external/nmea/config.h
+           ;; external/nmea/context.c
+           ;; external/nmea/context.h
+           ;; external/nmea/gmath.c
+           ;; external/nmea/gmath.h
+           ;; external/nmea/info.c
+           ;; external/nmea/info.h
+           ;; external/nmea/nmeatime.h
+           ;; external/nmea/parse.c
+           ;; external/nmea/parse.h
+           ;; external/nmea/parser.h
+           ;; external/nmea/sentence.c
+           ;; external/nmea/sentence.h
+           ;; external/nmea/time.c
+           ;; external/nmea/tok.c
+           ;; external/nmea/tok.h
+           ;; external/nmea/units.h
+           ;; src/plugins/evis/*
+           ;; src/plugins/grass/qtermwidget/kprocess.cpp
+           ;; src/plugins/grass/qtermwidget/kprocess.h
+           ;; src/plugins/grass/qtermwidget/kptydevice.cpp
+           ;; src/plugins/grass/qtermwidget/kptydevice.h
+           ;; src/plugins/grass/qtermwidget/kptyprocess.cpp
+           ;; src/plugins/grass/qtermwidget/kptyprocess.h
+           ;; src/plugins/grass/qtermwidget/kpty.cpp
+           ;; src/plugins/grass/qtermwidget/kpty.h
+           ;; src/plugins/grass/qtermwidget/kpty_p.h
+           ;; src/plugins/grass/qtermwidget/qtermwidget.cpp
+           ;; src/plugins/grass/qtermwidget/qtermwidget.h
+           ;; src/plugins/grass/qtermwidget/TerminalCharacterDecoder.cpp
+           ;; src/plugins/grass/qtermwidget/TerminalCharacterDecoder.h
+           license:lgpl2.0+
+           ;; src/core/pal/*
+           ;; resources/cpt-city-qgis-min/ds9/*
+           ;; resources/cpt-city-qgis-min/grass/*
+           license:gpl3+
+           ;; src/core/symbology/qgscolorbrewerpalette.cpp
+           license:asl2.0
+           ;; images/themes/default/*
+           ;; resources/cpt-city-qgis-min/gps/*
+           ;; resources/cpt-city-qgis-min/nd/*
+           ;; resources/cpt-city-qgis-min/wkp/country/*
+           ;; resources/cpt-city-qgis-min/wkp/jarke/*
+           ;; resources/cpt-city-qgis-min/wkp/jarke/*
+           ;; resources/cpt-city-qgis-min/wkp/knutux/*
+           ;; resources/cpt-city-qgis-min/wkp/lilleskut/*
+           ;; resources/cpt-city-qgis-min/wkp/plumbago/*
+           ;; resources/cpt-city-qgis-min/wkp/precip/*
+           ;; resources/cpt-city-qgis-min/wkp/schwarzwald/*
+           ;; resources/cpt-city-qgis-min/wkp/shadowxfox/*
+           ;; resources/cpt-city-qgis-min/wkp/tubs/*
+           license:cc-by-sa3.0
+           ;; resources/cpt-city-qgis-min/cb/*
+           ;; resources/cpt-city-qgis-min/jjg/cbac/*
+           ;; resources/cpt-city-qgis-min/jjg/cbcont/*
+           ;; resources/cpt-city-qgis-min/jjg/polarity/*
+           license:asl1.1
+           ;; resources/cpt-city-qgis-min/ds/*
+           (license:fsf-free
+            "https://www.deviantart.com/webgoddess/art/Reddish-Inspired-Gr=
adients-42208824")
+           ;; resources/cpt-city-qgis-min/es/*
+           (license:fsdg-compatible
+            "https://www.deviantart.com/elvensword")
+           ;; resources/cpt-city-qgis-min/gist/*
+           (license:non-copyleft "file://debian/copyright"
+                                 "BSD-like-gist")
+           ;; resources/cpt-city-qgis-min/go2/webtwo/*
+           (license:fsf-free "file://debian/copyright"
+                             "Go Squared")
+           ;; resources/cpt-city-qgis-min/h5/*
+           license:expat
+           ;; resources/cpt-city-qgis-min/jm/*
+           (license:non-copyleft "file://debian/copyright"
+                                 "Jim Mossman Attribution")
+           ;; resources/cpt-city-qgis-min/ncl/*
+           (license:non-copyleft
+            "https://www.ncl.ucar.edu/Download/NCL_source_license.shtml"
+            "NCL Source Code License")
+           ;; resources/cpt-city-qgis-min/os/*
+           ;; resources/cpt-city-qgis-min/ukmo/*
+           license:ogl-psi1.0
+           ;; resources/cpt-city-qgis-min/wkp/ice/*
+           license:gfdl1.2+-without-invariant-sections
+           ;; src/gui/symbology/characterwidget.cpp
+           ;; src/gui/symbology/characterwidget.h
+           ;; src/providers/oracle/ocispatial/main.cpp
+           ;; src/providers/oracle/ocispatial/qsql_ocispatial.cpp
+           ;; src/providers/oracle/ocispatial/qsql_ocispatial.h
+           ;; src/providers/oracle/ocispatial/qsqlcachedresult_p.h
+           ;; src/providers/spatialite/qspatialite/qsql_spatialite.cpp
+           ;; src/providers/spatialite/qspatialite/qsql_spatialite.h
+           ;; src/providers/spatialite/qspatialite/qsqlcachedresult_p.h
+           ;; src/providers/spatialite/qspatialite/smain.cpp
+           ;; tests/qt_modeltest/modeltest.cpp
+           ;; tests/qt_modeltest/modeltest.h
+           ;; tests/qt_modeltest/tst_modeltest.cpp
+           ;; tests/qt_modeltest/dynamictreemodel.cpp
+           ;; tests/qt_modeltest/dynamictreemodel.h
+           (license:fsf-free
+            "file://debian/copyright"
+            "QT-Commercial or LGPL-2.1 with Digia Qt LGPL Exception 1.1 or=
 GPL-3")))))
=2D-=20
2.23.0


--=-=-=--

--==-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEf3MDQ/Lwnzx3v3nTLiXui2GAK7MFAl3o58sACgkQLiXui2GA
K7Ox/gf/XH1TPnbydAWUMWeqTxk92d9/y69AKCLc3af2RnujauWwtzJ2S00zgYet
TlGZOie89d/Nnk+5DHnHehkgQi8X7x/CHMZ7C0sg4gpLru0tedRU443qqapH7yGv
GBu0bjfiInK46kzaICZveSP7KrAxz1HOjw/jV9kcoHvIuy6FMNTEI1RL/466xUew
1rOysy19l5QprnSKDkF+rceQjLdzI4wFxgto9BIthD6xSGuNII65KxsEZlm9oBLN
yxwHgtE3sWZduiM68C9tw574YY/S1YB+TmRqy0xLdvoqar4zQ2m4It3NgHzMXTO0
Ossd2Rn58ecbhJtlOBgjRB/cgxHhCg==
=cuNr
-----END PGP SIGNATURE-----
--==-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#38149; Package guix-patches. Full text available.

Message received at 38149 <at> debbugs.gnu.org:


Received: (at 38149) by debbugs.gnu.org; 3 Dec 2019 17:46:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 03 12:46:24 2019
Received: from localhost ([127.0.0.1]:40992 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1icCFa-0001rX-Vb
	for submit <at> debbugs.gnu.org; Tue, 03 Dec 2019 12:46:24 -0500
Received: from mugam.systemreboot.net ([139.59.75.54]:51264)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <arunisaac@HIDDEN>) id 1icCFV-0001rK-R7
 for 38149 <at> debbugs.gnu.org; Tue, 03 Dec 2019 12:46:13 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed;
 d=systemreboot.net; s=default; h=Content-Type:MIME-Version:Message-ID:Date:
 References:In-Reply-To:Subject:To:From:Sender:Reply-To:Cc:
 Content-Transfer-Encoding:Content-ID:Content-Description:Resent-Date:
 Resent-From:Resent-Sender:Resent-To:Resent-Cc:Resent-Message-ID:List-Id:
 List-Help:List-Unsubscribe:List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=8DRFYSxJUuPVAYpE+wHFk6f8IYAPJIFvUqoq1AsvFd4=; b=FGRHKUGNpSWcArhrC3ywvF1eY
 PL6ShrFvTMHSBa2d9SHI2OLN6oSWkp0sL7JYYyO8MdoPR78eVWj3Hj5rpWGm3LwtJSmPYJMm+viUl
 zM3oAfvW9r5380xyJb37Vwn3fBrdmJj6yNOJFNLT/qCyBfNR6kCTzG7nTmME0fblmScE8=;
Received: from [192.168.2.1] (helo=steel)
 by systemreboot.net with esmtpsa (TLSv1.3:TLS_AES_256_GCM_SHA384:256)
 (Exim 4.92.3) (envelope-from <arunisaac@HIDDEN>)
 id 1icCFR-0004ea-TN; Tue, 03 Dec 2019 23:16:05 +0530
From: Arun Isaac <arunisaac@HIDDEN>
To: Wiktor =?utf-8?Q?=C5=BBelazny?= <wz@HIDDEN>, 38149 <at> debbugs.gnu.org
Subject: Re: [bug#38149] [WIP] gnu: Add qgis.
In-Reply-To: <20191109112702.14723-1-wz@HIDDEN>
References: <20191109112702.14723-1-wz@HIDDEN>
Date: Tue, 03 Dec 2019 23:15:51 +0530
Message-ID: <cu7k17dfgkw.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 38149
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

--=-=-=
Content-Type: text/plain


> * gnu/packages/geo.scm (qgis): new variable.
> Does not build due to QtXml/QtXmlmod.sip not found.
> ---
> This is my attempt to define some minimal QGIS package. Unfortunately,
> the build crashes with
>    sip: Unable to find file "QtXml/QtXmlmod.sip"

I fixed this problem with the following custom phase.

#:phases
(modify-phases %standard-phases
  ;; Configure correct path to PyQt5 SIP directory
  (add-after 'unpack 'configure-pyqt5-sip-path
    (lambda* (#:key inputs #:allow-other-keys)
      (substitute* "cmake/FindPyQt5.cmake"
        (("\"\\\\\\\\1\" PYQT5_SIP_DIR")
         (string-append "\"" (assoc-ref inputs "python-pyqt+qscintilla")
                        "/share/sip\" PYQT5_SIP_DIR")))
      #t))

I'm slowly but steadily making progress and will soon post a complete
patch. Progress is slow since each build attempt takes around 6 hours on
my rather slow machine.

> +    (license license:gpl2+)))

Also, the license of qgis is extremely complicated. Looking at other
guix packages, I'm assuming we have to exhaustively document every
license. Very tedious! :-( I got this far, but I still need to double
check all the licenses again.

(license
     (list license:gpl2+
           ;; qgis.dtd
           ;; src/core/pal/rtree.hpp
           ;; src/plugins/grass/qtermwidget/konsole_wcwidth.*
           ;; cmake/PythonCompile.py
           ;; resources/cpt-city-qgis-min/dg/*
           ;; resources/cpt-city-qgis-min/gery/*
           ;; resources/cpt-city-qgis-min/jjg/dem/*
           ;; resources/cpt-city-qgis-min/jjg/misc/*
           ;; resources/cpt-city-qgis-min/jjg/physics/*
           ;; tests/testdata/cpt-city/jjg/misc/*
           ;; resources/cpt-city-qgis-min/km/*
           ;; resources/cpt-city-qgis-min/pd/*
           ;; resources/cpt-city-qgis-min/wkp/encyclopedia/*
           ;; resources/cpt-city-qgis-min/wkp/template/*
           ;; resources/cpt-city-qgis-min/ocal/*
           ;; resources/cpt-city-qgis-min/rf/*
           ;; resources/cpt-city-qgis-min/tp/*
           license:public-domain
           ;; python/plugins/processing/modeler/ModelerArrowItem.py
           ;; src/app/qgssettingstree.cpp
           ;; src/app/qgssettingstree.h
           ;; src/app/qgsvariantdelegate.cpp
           ;; src/app/qgsvariantdelegate.h
           ;; src/app/qtmain_android.cpp
           ;; cmake/Bison.cmake
           ;; cmake/FindExpat.cmake
           ;; cmake/FindGRASS.cmake
           ;; cmake/FindPostgres.cmake
           ;; cmake/FindProj.cmake
           ;; cmake/FindSqlite3.cmake
           ;; cmake/Flex.cmake
           ;; cmake/FindFcgi.cmake
           ;; cmake/FindGDAL.cmake
           ;; cmake/FindGEOS.cmake
           ;; cmake/FindGSL.cmake
           ;; cmake/FindIconv.cmake
           ;; cmake/FindOSGEARTH.cmake
           ;; cmake/FindLibPython.py
           ;; cmake/FindPyQt4.cmake
           ;; cmake/FindPyQt4.py
           ;; cmake/FindPyQt5.cmake
           ;; cmake/FindPyQt5.py
           ;; cmake/FindPythonLibrary.cmake
           ;; cmake/FindSIP.cmake
           ;; cmake/FindSIP.py
           ;; cmake/PythonMacros.cmake
           ;; cmake/SIPMacros.cmake
           ;; cmake/FindQCA.cmake
           ;; cmake/FindQextserialport.cmake
           ;; cmake/FindQGIS.cmake
           ;; cmake/FindQsci.cmake
           ;; cmake/FindQsci.py
           ;; cmake/FindQScintilla.cmake
           ;; cmake/FindQwt.cmake
           ;; cmake/FindSpatiaLite.cmake
           ;; cmake/MacBundleMacros.cmake
           ;; cmake/MacPlistMacros.cmake
           ;; cmake/PyQtMacros.cmake
           ;; cmake/QCAMacros.cmake
           ;; cmake/UsePythonTest.cmake
           license:bsd-3
           ;; external//qwtpolar-1.1.1/*
           ;; src/gui/raster/qwt5_histogram_item.h
           license:qwt1.0
           ;; external/astyle/*
           license:lgpl2.1+
           ;; external/nmea/config.h
           ;; external/nmea/context.c
           ;; external/nmea/context.h
           ;; external/nmea/gmath.c
           ;; external/nmea/gmath.h
           ;; external/nmea/info.c
           ;; external/nmea/info.h
           ;; external/nmea/nmeatime.h
           ;; external/nmea/parse.c
           ;; external/nmea/parse.h
           ;; external/nmea/parser.h
           ;; external/nmea/sentence.c
           ;; external/nmea/sentence.h
           ;; external/nmea/time.c
           ;; external/nmea/tok.c
           ;; external/nmea/tok.h
           ;; external/nmea/units.h
           ;; src/plugins/evis/*
           ;; src/plugins/grass/qtermwidget/kprocess.cpp
           ;; src/plugins/grass/qtermwidget/kprocess.h
           ;; src/plugins/grass/qtermwidget/kptydevice.cpp
           ;; src/plugins/grass/qtermwidget/kptydevice.h
           ;; src/plugins/grass/qtermwidget/kptyprocess.cpp
           ;; src/plugins/grass/qtermwidget/kptyprocess.h
           ;; src/plugins/grass/qtermwidget/kpty.cpp
           ;; src/plugins/grass/qtermwidget/kpty.h
           ;; src/plugins/grass/qtermwidget/kpty_p.h
           ;; src/plugins/grass/qtermwidget/qtermwidget.cpp
           ;; src/plugins/grass/qtermwidget/qtermwidget.h
           ;; src/plugins/grass/qtermwidget/TerminalCharacterDecoder.cpp
           ;; src/plugins/grass/qtermwidget/TerminalCharacterDecoder.h
           license:lgpl2.0+
           ;; src/core/pal/*
           ;; resources/cpt-city-qgis-min/ds9/*
           ;; resources/cpt-city-qgis-min/grass/*
           license:gpl3+
           ;; src/core/symbology/qgscolorbrewerpalette.cpp
           license:asl2.0
           ;; images/themes/default/*
           ;; resources/cpt-city-qgis-min/gps/*
           ;; resources/cpt-city-qgis-min/nd/*
           ;; resources/cpt-city-qgis-min/wkp/country/*
           ;; resources/cpt-city-qgis-min/wkp/jarke/*
           ;; resources/cpt-city-qgis-min/wkp/jarke/*
           ;; resources/cpt-city-qgis-min/wkp/knutux/*
           ;; resources/cpt-city-qgis-min/wkp/lilleskut/*
           ;; resources/cpt-city-qgis-min/wkp/plumbago/*
           ;; resources/cpt-city-qgis-min/wkp/precip/*
           ;; resources/cpt-city-qgis-min/wkp/schwarzwald/*
           ;; resources/cpt-city-qgis-min/wkp/shadowxfox/*
           ;; resources/cpt-city-qgis-min/wkp/tubs/*
           license:cc-by-sa3.0
           ;; resources/cpt-city-qgis-min/cb/*
           ;; resources/cpt-city-qgis-min/jjg/cbac/*
           ;; resources/cpt-city-qgis-min/jjg/cbcont/*
           ;; resources/cpt-city-qgis-min/jjg/polarity/*
           license:asl1.1
           ;; resources/cpt-city-qgis-min/ds/*
           (license:fsf-free
            "https://www.deviantart.com/webgoddess/art/Reddish-Inspired-Gradients-42208824")
           ;; resources/cpt-city-qgis-min/es/*
           (license:fsdg-compatible
            "https://www.deviantart.com/elvensword")
           ;; resources/cpt-city-qgis-min/gist/*
           (license:non-copyleft "file://debian/copyright"
                                 "BSD-like-gist")
           ;; resources/cpt-city-qgis-min/go2/webtwo/*
           (license:fsf-free "file://debian/copyright"
                             "Go Squared")
           ;; resources/cpt-city-qgis-min/h5/*
           license:expat
           ;; resources/cpt-city-qgis-min/jm/*
           (license:non-copyleft "file://debian/copyright"
                                 "Jim Mossman Attribution")
           ;; resources/cpt-city-qgis-min/ncl/*
           (license:non-copyleft
            "https://www.ncl.ucar.edu/Download/NCL_source_license.shtml"
            "NCL Source Code License")
           ;; resources/cpt-city-qgis-min/os/*
           ;; resources/cpt-city-qgis-min/ukmo/*
           license:ogl-psi1.0
           ;; resources/cpt-city-qgis-min/wkp/ice/*
           license:gfdl1.2+-without-invariant-sections
           ;; src/gui/symbology/characterwidget.cpp
           ;; src/gui/symbology/characterwidget.h
           ;; src/providers/oracle/ocispatial/main.cpp
           ;; src/providers/oracle/ocispatial/qsql_ocispatial.cpp
           ;; src/providers/oracle/ocispatial/qsql_ocispatial.h
           ;; src/providers/oracle/ocispatial/qsqlcachedresult_p.h
           ;; src/providers/spatialite/qspatialite/qsql_spatialite.cpp
           ;; src/providers/spatialite/qspatialite/qsql_spatialite.h
           ;; src/providers/spatialite/qspatialite/qsqlcachedresult_p.h
           ;; src/providers/spatialite/qspatialite/smain.cpp
           ;; tests/qt_modeltest/modeltest.cpp
           ;; tests/qt_modeltest/modeltest.h
           ;; tests/qt_modeltest/tst_modeltest.cpp
           ;; tests/qt_modeltest/dynamictreemodel.cpp
           ;; tests/qt_modeltest/dynamictreemodel.h
           (license:fsf-free
            "file://debian/copyright"
            "QT-Commercial or LGPL-2.1 with Digia Qt LGPL Exception 1.1 or GPL-3")))

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEf3MDQ/Lwnzx3v3nTLiXui2GAK7MFAl3mn1AACgkQLiXui2GA
K7MW3AgAmY0RXTnEa2J1P56P7gGPAWsI5VCIMKv4Q3pLr9Qpd9GVIO38YB0HhuEh
eMrFeCO63jsr3eXhiUrA9dN3GVBfaP7wWSGZnBOomZ3qvg4fLQyijwEw6Yhp0l2g
HfYuvU8cLMS1MIxQwiLpt6/N2bjpryLxX1ioIQT9Ovdcz9qVqyF42jb/XqaVuTjZ
OQcK9YUqKQD/ysfO0FOOdkYsM2MekM0INJBIUYn1EdVDolWqXK/Jg6wG/4hmpNtu
7mPC1snFqXiKOnAjA6UAkRWicGHNjPbpoYsOqpoCiSRhmElwCXb9oWFApBptVbYw
x0fW1us9obRKRNRjab71iQYgIDTQQw==
=VgJm
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#38149; Package guix-patches. Full text available.

Message received at 38149 <at> debbugs.gnu.org:


Received: (at 38149) by debbugs.gnu.org; 2 Dec 2019 14:31:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 02 09:31:25 2019
Received: from localhost ([127.0.0.1]:37292 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ibmjU-0005dA-Mh
	for submit <at> debbugs.gnu.org; Mon, 02 Dec 2019 09:31:24 -0500
Received: from freeshell.de ([94.247.40.156]:43632 ident=postfix)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <wz@HIDDEN>) id 1ibmjS-0005cw-Od
 for 38149 <at> debbugs.gnu.org; Mon, 02 Dec 2019 09:31:23 -0500
Date: Mon, 2 Dec 2019 15:31:15 +0100
From: Wiktor =?utf-8?Q?=C5=BBelazny?= <wz@HIDDEN>
To: 38149 <at> debbugs.gnu.org
Subject: Re: [bug#38149] [WIP] gnu: Add qgis.
Message-ID: <20191202143115.kpkfczlqxh22qcko@HIDDEN>
Mail-Followup-To: 38149 <at> debbugs.gnu.org
References: <20191109112702.14723-1-wz@HIDDEN>
 <cu7eey1kl1x.fsf@HIDDEN>
 <20191123104752.gp6gafhjrs47dath@HIDDEN>
 <cu7eexnlxrg.fsf@HIDDEN>
Content-Type: multipart/signed; micalg=pgp-sha512;
 protocol="application/pgp-signature"; boundary="4cdouzqjlhxo55ki"
Content-Disposition: inline
In-Reply-To: <cu7eexnlxrg.fsf@HIDDEN>
X-PGP-Key: https://freeshell.de/~wz/pubkey.asc
X-PGP-Fingerprint: BDC9 74CD D9C9 BA7D 761A  573D C735 A8C6 AB60 79D5
User-Agent: NeoMutt/20180716
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 38149
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--4cdouzqjlhxo55ki
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Sun, Dec 01, 2019 at 11:43:39PM +0530, Arun Isaac wrote:

> Hopefully there is some simple fix that needs to be made for the build
> to work. But qgis builds take forever on my slow machine and figuring
> out the problem is taking a while. I'll try to get back to you in 48
> hours.

Thank you for your efforts. Take you time. You can always post what
you=E2=80=99ve got, and maybe somebody will come with some idea how to make=
 it
work again.

W=C5=BB

--4cdouzqjlhxo55ki
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQKTBAABCgB9FiEEvcl0zdnJun12Glc9xzWoxqtgedUFAl3lIDNfFIAAAAAALgAo
aXNzdWVyLWZwckBub3RhdGlvbnMub3BlbnBncC5maWZ0aGhvcnNlbWFuLm5ldEJE
Qzk3NENERDlDOUJBN0Q3NjFBNTczREM3MzVBOEM2QUI2MDc5RDUACgkQxzWoxqtg
edU/mg/+Pd1Y298zqFfMykyNmaSKMCGDbXuikuczrx4mKZRrLEIZYeXVhT8hwWb4
mLRHdGur4H6BvXgong5utacMRkrRg8W4OFtKCcvfZ5qEFohmD9iDFqs26vQZmwOU
9pFupXA0ykbRyT7w7CCeJZ/JF73rwoRTXrOCzgDzk3pytyPr5OOeVe7wY4j5MFCL
z6gaBTvyxDMTx5vUXmoEjDjreg9UXd+sgYdra8xsL5QKEUCfR0t6sJoQPXA/eY8P
Mzj0n/W1fuDMrvLyZSxa+Ip8X/UgsxVizBHr5T+d2/dEHVdv55isd67Qflh7cbyn
/CIVrLJELjY/bqF4ZtrSlPdKTT8ZucxJZCqBpX1WPZA8KOzAX1PEYLlOUz9JYPF5
1bY0AeeWrRWiiv7P6KmVdjp27073QlzKky/IegWUCJodefKoSrm0xXb573aBTZ5U
f985aIJgkxXIHSJO0MLV/sR2A6VeMuehnOCnDs7sy2EHH1MOVyVq/Mg6tIzJXlbp
yGFUMytcqwpDId8gkdghgU+Nk+mjRIpFczGsJk0vKTqAPVgB+60O9a2/XVe6tSKU
JFHo6nlCN3RqrBbinoNSXY/x27sx8uOrKQFhyyz1FpZ6KBaJWcc9H34awd8+vsAC
cbT+yw/dIs14JFWwkOZN5qIBzGcxrvWdQxT+LP/gCJ8p4Xahdc0=
=2i+i
-----END PGP SIGNATURE-----

--4cdouzqjlhxo55ki--




Information forwarded to guix-patches@HIDDEN:
bug#38149; Package guix-patches. Full text available.

Message received at 38149 <at> debbugs.gnu.org:


Received: (at 38149) by debbugs.gnu.org; 1 Dec 2019 18:13:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 01 13:13:55 2019
Received: from localhost ([127.0.0.1]:36686 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ibTjH-0001Dc-BB
	for submit <at> debbugs.gnu.org; Sun, 01 Dec 2019 13:13:55 -0500
Received: from mugam.systemreboot.net ([139.59.75.54]:47064)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <arunisaac@HIDDEN>) id 1ibTjC-0001DQ-H3
 for 38149 <at> debbugs.gnu.org; Sun, 01 Dec 2019 13:13:53 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed;
 d=systemreboot.net; s=default; h=Content-Type:MIME-Version:Message-ID:Date:
 References:In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:
 Content-Transfer-Encoding:Content-ID:Content-Description:Resent-Date:
 Resent-From:Resent-Sender:Resent-To:Resent-Cc:Resent-Message-ID:List-Id:
 List-Help:List-Unsubscribe:List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=cOCxFRetlx5htZ8v20r+Mlua8Q3bjl+JteLwA1i4q5k=; b=KPOsIjsxQs9VEPA+fpJnLaacI
 vD69KwMCXlxxR9DJTeBpiMkkvxLs4h5Ip2XHLIPhIsuViNJQGV+7LidUmx+mQHU7SpQExwJYtearm
 i/yq6tU2L2NyqZ/7Xpph/YuNBc3NBUr3LBQ1hw13WI7n8aYTb3105Po+x7Kc53ydxrEEY=;
Received: from [192.168.2.1] (helo=steel)
 by systemreboot.net with esmtpsa (TLSv1.3:TLS_AES_256_GCM_SHA384:256)
 (Exim 4.92.3) (envelope-from <arunisaac@HIDDEN>)
 id 1ibTj8-000Rsi-Vo; Sun, 01 Dec 2019 23:43:47 +0530
From: Arun Isaac <arunisaac@HIDDEN>
To: Wiktor =?utf-8?Q?=C5=BBelazny?= <wz@HIDDEN>
Subject: Re: [bug#38149] [WIP] gnu: Add qgis.
In-Reply-To: <20191123104752.gp6gafhjrs47dath@HIDDEN>
References: <20191109112702.14723-1-wz@HIDDEN>
 <cu7eey1kl1x.fsf@HIDDEN>
 <20191123104752.gp6gafhjrs47dath@HIDDEN>
Date: Sun, 01 Dec 2019 23:43:39 +0530
Message-ID: <cu7eexnlxrg.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38149
Cc: 38149 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain


Sorry this is taking more time than I expected. It looks like the qgis
package I dug up out of my git stash doesn't build anymore. The package
is around a year old and was for an older version of qgis. Hopefully
there is some simple fix that needs to be made for the build to
work. But qgis builds take forever on my slow machine and figuring out
the problem is taking a while. I'll try to get back to you in 48 hours.

Thank you for your patience! :-)

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEf3MDQ/Lwnzx3v3nTLiXui2GAK7MFAl3kAtMACgkQLiXui2GA
K7OpFAgAqmUdpSqQa3PKDu2qbMJom1ujHIp5t2E87HK3LxrE/QI8QclSFYSxbygM
VahPPWek90tN8qkq+yzfveWqVCcPWBle3EVBmE2+POI25zp4GNJ2IOI5LrPtLXwR
kQL4vnVcqQ+PH76euzwhAdt4oiOcmFiQ2t7OSAFdKIEZIsgTa4Fb6ioPBVMBzxJJ
E7eqdW6ytJ16H+lYMaY5x9/YyFJq3w4htaKZmrO1GXa/MKbe1FNF3jGrN3aUPEce
cJ0BFVrkx27poc+pZunJdJn+xyX9R8IaJoJ8aQbGvfx3YgMOLGe9KtOhn9H/PHNQ
a9ZOZdZUNpHi2v8Z5eBaMDWlSeorrg==
=SqDf
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#38149; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 9 Nov 2019 11:27:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 09 06:27:55 2019
Received: from localhost ([127.0.0.1]:48299 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iTOuJ-0001yu-8M
	for submit <at> debbugs.gnu.org; Sat, 09 Nov 2019 06:27:55 -0500
Received: from lists.gnu.org ([209.51.188.17]:42352)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <wz@HIDDEN>) id 1iTOuG-0001yn-Vl
 for submit <at> debbugs.gnu.org; Sat, 09 Nov 2019 06:27:53 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:54376)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <wz@HIDDEN>) id 1iTOuF-0008Si-GT
 for guix-patches@HIDDEN; Sat, 09 Nov 2019 06:27:52 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <wz@HIDDEN>) id 1iTOuE-00019J-65
 for guix-patches@HIDDEN; Sat, 09 Nov 2019 06:27:51 -0500
Received: from freeshell.de ([2a01:360:106::2]:54352)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <wz@HIDDEN>) id 1iTOuD-00017c-U7
 for guix-patches@HIDDEN; Sat, 09 Nov 2019 06:27:50 -0500
From: =?UTF-8?q?Wiktor=20=C5=BBelazny?= <wz@HIDDEN>
To: guix-patches@HIDDEN
Subject: [WIP] gnu: Add qgis.
Date: Sat,  9 Nov 2019 12:27:02 +0100
Message-Id: <20191109112702.14723-1-wz@HIDDEN>
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2a01:360:106::2
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

From: Wiktor =C5=BBelazny <wzelazny@HIDDEN>

* gnu/packages/geo.scm (qgis): new variable.
Does not build due to QtXml/QtXmlmod.sip not found.
---
This is my attempt to define some minimal QGIS package. Unfortunately,
the build crashes with
   sip: Unable to find file "QtXml/QtXmlmod.sip"
but:
   $ ls -l /gnu/store/8d1ak3bpaaqhw4hnxksan7fnh5ll7i5f-python-pyqt+qscint=
illa-5.11.3/share/sip/QtXml/QtXmlmod.sip
   -r--r--r-- 5 root root 1937 Jan  1  1970 /gnu/store/8d1ak3bpaaqhw4hnxk=
san7fnh5ll7i5f-python-pyqt+qscintilla-5.11.3/share/sip/QtXml/QtXmlmod.sip
I thought that maybe the QtXml/ directory being a symlink
   QtXml -> /gnu/store/mfii8qx5x3kbl1gzg8g8qmblqk6fdmvf-python-pyqt-5.11.=
3/share/sip/QtXml
was the problem, but including python-pyqt (or python-sip, for that
matter) among the inputs did not solve the issue. Explicitly defining
directories as configure flags does not work, either. Any suggestion how
to progress on this? Thanks!
 gnu/packages/geo.scm | 63 ++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 63 insertions(+)

diff --git a/gnu/packages/geo.scm b/gnu/packages/geo.scm
index dfb00c7547..26bbcd2f63 100644
--- a/gnu/packages/geo.scm
+++ b/gnu/packages/geo.scm
@@ -42,12 +42,14 @@
   #:use-module (guix utils)
   #:use-module (gnu packages astronomy)
   #:use-module (gnu packages autotools)
+  #:use-module (gnu packages bison)
   #:use-module (gnu packages boost)
   #:use-module (gnu packages check)
   #:use-module (gnu packages compression)
   #:use-module (gnu packages databases)
   #:use-module (gnu packages datastructures)
   #:use-module (gnu packages documentation)
+  #:use-module (gnu packages flex)
   #:use-module (gnu packages fonts)
   #:use-module (gnu packages fontutils)
   #:use-module (gnu packages glib)
@@ -55,7 +57,9 @@
   #:use-module (gnu packages gtk)
   #:use-module (gnu packages image)
   #:use-module (gnu packages icu4c)
+  #:use-module (gnu packages kde)
   #:use-module (gnu packages lua)
+  #:use-module (gnu packages maths)
   #:use-module (gnu packages pcre)
   #:use-module (gnu packages perl)
   #:use-module (gnu packages pkg-config)
@@ -1037,3 +1041,62 @@ persisted.
 @end itemize
 ")
     (license license:expat)))
+
+(define-public qgis
+  (package
+    (name "qgis")
+    (version "3.8.3")
+    (source
+      (origin
+        (method url-fetch)
+        (uri (string-append
+               "https://qgis.org/downloads/" name "-" version ".tar.bz2"=
))
+        (sha256
+          (base32
+            ; checked <uri>.md5
+            "1g8pzfm68n28pj7a4z9c1yklnwx5and83svjx6w8q5dwhf23xjiw"))))
+    (build-system cmake-build-system)
+    (native-inputs
+      `(("flex" ,flex)
+        ("bison" ,bison)
+        ("python" ,python)))
+    (inputs
+      `(("qtbase" ,qtbase)
+        ("qtserialport" ,qtserialport)
+        ("qtsvg" ,qtsvg)
+        ("qtlocation" ,qtlocation)
+        ("qttools" ,qttools)
+        ("qtdeclarative" ,qtdeclarative)
+        ("qtwebkit" ,qtwebkit)
+        ("proj.4" ,proj.4)
+        ("geos" ,geos)
+        ("sqlite" ,sqlite)
+        ("libspatialite" ,libspatialite)
+        ("libspatialindex" ,libspatialindex)
+        ("gdal" ,gdal)
+        ("qwt" ,qwt)
+        ("expat" ,expat)
+        ("qscintilla" ,qscintilla)
+        ("qca" ,qca)
+        ("qtkeychain" ,qtkeychain)
+        ("libzip" ,libzip)
+        ("python-pyqt+qscintilla" ,python-pyqt+qscintilla)
+;        ("python-sip" ,python-sip)
+        ("exiv2" ,exiv2)
+        ("gsl" ,gsl)))
+    (arguments
+      `(#:configure-flags (list (string-append
+                                  "-DPYQT5_SIP_DIR=3D"
+                                  (assoc-ref
+                                    %build-inputs "python-pyqt+qscintill=
a")
+                                  "/share/sip")
+                                (string-append
+                                  "-DQSCI_SIP_DIR=3D"
+                                  (assoc-ref
+                                    %build-inputs "python-pyqt+qscintill=
a")
+                                  "/share/sip"))))
+    (home-page "https://qgis.org")
+    (synopsis "A free and open source Geographic Information System")
+    (description "QGIS is a professional GIS application that is built o=
n top
+of and proud to be itself @dfn{Free and Open Source Software} (FOSS).")
+    (license license:gpl2+)))
--=20
2.24.0





Acknowledgement sent to Wiktor Żelazny <wz@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#38149; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 27 Dec 2019 02:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.